<?php
/*
 * The template for displaying 404 pages (not found).
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

// Theme Options
$ceremony_error_title = cs_get_option('error_title');
$ceremony_error_heading = cs_get_option('error_heading');
$ceremony_error_page_content = cs_get_option('error_page_content');
$ceremony_error_page_bg = cs_get_option('error_page_bg');
$ceremony_error_btn_text = cs_get_option('error_btn_text');
$ceremony_error_heading = ( $ceremony_error_heading ) ? $ceremony_error_heading : esc_html__( 'Sorry!!! Page Not Found!', 'ceremony' );
$ceremony_error_page_content = ( $ceremony_error_page_content ) ? $ceremony_error_page_content : esc_html__( 'The page you were looking for wasn\'t found.', 'ceremony' );
$ceremony_error_page_bg = ( $ceremony_error_page_bg ) ? wp_get_attachment_url($ceremony_error_page_bg) : CEREMONY_IMAGES . '/404.png';
$ceremony_error_btn_text = ( $ceremony_error_btn_text ) ? $ceremony_error_btn_text : esc_html__( 'BACK TO HOME', 'ceremony' );

get_header(); ?>
<section class="crmny-mid-wrap mid-spacer-five" style="background: url(<?php echo esc_url($ceremony_error_page_bg); ?>);">
  <div class="container">
    <div class="crmny-error">
    <?php if($ceremony_error_title) { ?>
      <h1 class="error-title"><?php echo esc_html($ceremony_error_title); ?></h1>
    <?php } else { ?>
      <h1 class="error-title"><?php esc_html_e('4','ceremony'); ?><span class="error-icon"></span><?php esc_html_e('4','ceremony'); ?></h1>
    <?php } ?>
      <h2 class="error-subtitle"><?php echo esc_html($ceremony_error_heading); ?></h2>
      <p><?php echo esc_html($ceremony_error_page_content); ?></p>
      <div class="crmny-btn-wrap"><a href="<?php echo esc_url(home_url( '/' )); ?>" class="crmny-btn"><i class="fa fa-angle-double-left" aria-hidden="true"></i> <?php echo esc_html($ceremony_error_btn_text); ?></a></div>
    </div>
  </div>
</section>
	<!-- Content -->
<?php
get_footer();
