/*
 * All Admin Related Scripts in this Ceremony Theme
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

jQuery(document).ready(function($) {
  "use strict";
  /*---------------------------------------------------------------*/
  /* =  Toggle Meta boxes based on post formats
  /*---------------------------------------------------------------*/
  function toggle_metaboxes() {

    // Hide All Format Metabox Fields
    function hide_all_format_metaboxes() {
      $('.cs-element-gallery-format, #cs-tab-section_post_formats .cs-element-add-gallery, .cs-element-standard-image, .cs-element-audio-post, .cs-element-audio-link, .cs-element-audio-iframe, .cs-element-video-post, .cs-element-video-link, .cs-element-video-iframe').hide();
    }
    // Show Only Gallery Format Metabox Fields
    function gallery_format_metaboxes() {
      $('.cs-element-standard-image, .cs-element-audio-post, .cs-element-audio-link, .cs-element-audio-iframe, .cs-element-video-post, .cs-element-video-link, .cs-element-video-iframe').slideUp('fast');
      $('.cs-element-gallery-format, #cs-tab-section_post_formats .cs-element-add-gallery').slideDown('slow');
    }
    // Show Only Video Format Metabox Fields
    function video_format_metaboxes() {
      $('.cs-element-gallery-format, #cs-tab-section_post_formats .cs-element-add-gallery, .cs-element-standard-image, .cs-element-audio-post, .cs-element-audio-link, .cs-element-audio-iframe').slideUp('fast');
      $('.cs-element-video-post, .cs-element-video-link, .cs-element-video-iframe').slideDown('slow');
    }
    // Show Only Audio Format Metabox Fields
    function audio_format_metaboxes() {
      $('.cs-element-gallery-format, #cs-tab-section_post_formats .cs-element-add-gallery, .cs-element-standard-image, .cs-element-video-post, .cs-element-video-link, .cs-element-video-iframe').slideUp('fast');
      $('.cs-element-audio-post, .cs-element-audio-link, .cs-element-audio-iframe').slideDown('slow');
    }

    function getMetaFieldsWork() {
      if (postFormat == 'gallery') {gallery_format_metaboxes();}
      if (postFormat == 'standard') {hide_all_format_metaboxes();}
      if (postFormat == 'quote') {hide_all_format_metaboxes();}
      if (postFormat == 'video') {video_format_metaboxes();}
      if (postFormat == 'audio') {audio_format_metaboxes();}
    }

    hide_all_format_metaboxes();
    let postFormat;
    if ($('div').hasClass("block-editor")) {
      wp.data.subscribe( () => {
        const newPostFormat = wp.data.select( 'core/editor' ).getEditedPostAttribute( 'format' );
        if ( postFormat !== newPostFormat ) {
          postFormat = newPostFormat;
        }

      // On Change Page Effect
      getMetaFieldsWork();

    } );
    } // If hasClass of block-editor

    // Saved Value Effect
    getMetaFieldsWork();

  }

  toggle_metaboxes(); // Execute on document ready

  $('#post-formats-select input[type="radio"]').on('click', function() { toggle_metaboxes });

  $( ".vt-cs-widget-fields" ).parents( ".widget-inside" ).addClass( "vt-cs-widget" );

  // Auto & Manual Import Tabs Active Mode
  $(function() {
    var loc = window.location.href; // returns the full URL
    console.log(loc);
    if(loc.indexOf('manual') > -1) {
      $('.nav-tab-wrapper .vt-auto-mode').removeClass('nav-tab-active');
      $('.nav-tab-wrapper .vt-manual-mode').addClass('nav-tab-active');
    }
  });

});