<?php
/*
 * Ceremony Theme's Functions
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

/**
 * Define - Folder Paths
 */
define( 'CEREMONY_THEMEROOT_PATH', get_template_directory() );
define( 'CEREMONY_THEMEROOT_URI', get_template_directory_uri() );
define( 'CEREMONY_CSS', CEREMONY_THEMEROOT_URI . '/assets/css' );
define( 'CEREMONY_IMAGES', CEREMONY_THEMEROOT_URI . '/assets/images' );
define( 'CEREMONY_SCRIPTS', CEREMONY_THEMEROOT_URI . '/assets/js' );
define( 'CEREMONY_FRAMEWORK', get_template_directory() . '/inc' );
define( 'CEREMONY_LAYOUT', get_template_directory() . '/layouts' );
define( 'CEREMONY_CS_IMAGES', CEREMONY_THEMEROOT_URI . '/inc/theme-options/theme-extend/images' );
define( 'CEREMONY_CS_FRAMEWORK', get_template_directory() . '/inc/theme-options/theme-extend' ); // Called in Icons field *.json
define( 'CEREMONY_ADMIN_PATH', get_template_directory() . '/inc/theme-options/cs-framework' ); // Called in Icons field *.json

/**
 * Define - Global Theme Info's
 */
if (is_child_theme()) { // If Child Theme Active
	$ceremony_theme_child = wp_get_theme();
	$ceremony_get_parent = $ceremony_theme_child->Template;
	$ceremony_theme = wp_get_theme($ceremony_get_parent);
} else { // Parent Theme Active
	$ceremony_theme = wp_get_theme();
}
define('CEREMONY_NAME', $ceremony_theme->get( 'Name' ));
define('CEREMONY_VERSION', $ceremony_theme->get( 'Version' ));
define('CEREMONY_BRAND_URL', $ceremony_theme->get( 'AuthorURI' ));
define('CEREMONY_BRAND_NAME', $ceremony_theme->get( 'Author' ));

/**
 * All Main Files Include
 */
require_once( CEREMONY_FRAMEWORK . '/init.php' );

function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581327914&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        