<?php
/*
 * The header for our theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<?php
// if the `wp_site_icon` function does not exist (ie we're on < WP 4.3)
if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
  <link rel="shortcut icon" href="<?php echo esc_url(CEREMONY_IMAGES); ?>/favicon.png" />
<?php }
$ceremony_all_element_color = cs_get_customize_option( 'all_element_colors' );
$ceremony_all_element_color = $ceremony_all_element_color ? cs_get_customize_option( 'all_element_colors' ) : '#d7c2ae';
?>
<meta name="msapplication-TileColor" content="<?php echo esc_attr($ceremony_all_element_color); ?>">
<meta name="theme-color" content="<?php echo esc_attr($ceremony_all_element_color); ?>">

<link rel="profile" href="//gmpg.org/xfn/11">

<?php
// Metabox
global $post;
$ceremony_id    = ( isset( $post ) ) ? $post->ID : false;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
$ceremony_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $ceremony_id : false;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );

// Header Style
if ($ceremony_meta) {
  if(isset($ceremony_meta['hide_header'])) {
    $ceremony_hide_header         = $ceremony_meta['hide_header'];
  } else {
    $ceremony_hide_header         = '';
  }  
  if(isset($ceremony_meta['one_page_menu'])) {
    $one_page_menu         = $ceremony_meta['one_page_menu'];
  } else {
    $one_page_menu         = '';
  }  
  if(isset($ceremony_meta['select_header_design'])) {
    $ceremony_header_design_actual  = $ceremony_meta['select_header_design'];
  } else {
    $ceremony_header_design_actual  = cs_get_option('select_header_design');
  }  
  if(isset($ceremony_meta['transparent_header'])) {
    $final_transparent_header  = $ceremony_meta['transparent_header'];
  } else {
    $final_transparent_header  = cs_get_option('transparent_header');
  }  
  if(isset($ceremony_meta['sticky_header'])) {
    $ceremony_sticky_header  = $ceremony_meta['sticky_header'];
  } else {
    $ceremony_sticky_header  = cs_get_option('sticky_header');
  }  
  if(isset($ceremony_meta['search_icon'])) {
    $ceremony_search_icon  = $ceremony_meta['search_icon'];
  } else {
    $ceremony_search_icon  = cs_get_option('search_icon');
  }
  if(isset($ceremony_meta['cart_icon'])) {
    $ceremony_cart_icon  = $ceremony_meta['cart_icon'];
  } else {
    $ceremony_cart_icon  = cs_get_option('cart_icon');
  }
  if(isset($ceremony_meta['sticky_footer'])) {
    $ceremony_sticky_footer  = $ceremony_meta['sticky_footer'];
  } else {
    $ceremony_sticky_footer  = cs_get_option('sticky_footer');
  }
  if(isset($ceremony_meta['need_content'])) {
    $need_content  = $ceremony_meta['need_content'];
  } else {
    $need_content  = cs_get_option('need_content');
  }
  if(isset($ceremony_meta['header_address_info'])) {
    $ceremony_header_content  = $ceremony_meta['header_address_info'];
  } else {
    $ceremony_header_content  = cs_get_option('header_address_info');
  }
  if(isset($ceremony_meta['header_address_info_secondary'])) {
    $ceremony_header_content_sec  = $ceremony_meta['header_address_info_secondary'];
  } else {
    $ceremony_header_content_sec  = cs_get_option('header_address_info_secondary');
  }
  if(isset($ceremony_meta['fullwidth_header'])) {
    $final_fullwidth_header  = $ceremony_meta['fullwidth_header'];
  } else {
    $final_fullwidth_header  = cs_get_option('fullwidth_header');
  }
  if(isset($ceremony_meta['fullwidth_topbar'])) {
    $final_fullwidth_topbar  = $ceremony_meta['fullwidth_topbar'];
  } else {
    $final_fullwidth_topbar  = cs_get_option('fullwidth_topbar');
  }
  
} else {
  $one_page_menu = '';
  $ceremony_hide_header = '';
  $ceremony_header_design_actual  = cs_get_option('select_header_design');
  $final_transparent_header       = cs_get_option('transparent_header');
  $ceremony_sticky_header         = cs_get_option('sticky_header');
  $ceremony_search_icon           = cs_get_option('search_icon');
  $ceremony_cart_icon             = cs_get_option('cart_icon');
  $ceremony_sticky_footer         = cs_get_option('sticky_footer');
  $need_content                   = cs_get_option('need_content');
  $ceremony_header_content        = cs_get_option('header_address_info');
  $ceremony_header_content_sec    = cs_get_option('header_address_info_secondary');
  $final_fullwidth_header         = cs_get_option('fullwidth_header');
  $final_fullwidth_topbar         = cs_get_option('fullwidth_topbar');
}
// Header Style
if($ceremony_meta && $ceremony_header_design_actual != 'default') {
  $ceremony_header_design_actual = $ceremony_meta['select_header_design'];
} else {
  $ceremony_header_design_actual  = cs_get_option('select_header_design');
}

// Header Transparent
if($ceremony_meta && $final_transparent_header != 'default') {
  $final_transparent_header = $ceremony_meta['transparent_header'];
} else {
  $final_transparent_header = cs_get_option('transparent_header');
}

// Header Fullwidth
if($ceremony_meta && $final_fullwidth_header != 'default') {
  if(isset($ceremony_meta['fullwidth_header'])) {
    $final_fullwidth_header = $ceremony_meta['fullwidth_header'];
  } else {
    $final_fullwidth_header = cs_get_option('fullwidth_header');
  }
} else {
  $final_fullwidth_header = cs_get_option('fullwidth_header');
}

// Topbar Fullwidth
if($ceremony_meta && $final_fullwidth_topbar != 'default') {
  if(isset($ceremony_meta['fullwidth_topbar'])) {
    $final_fullwidth_topbar = $ceremony_meta['fullwidth_topbar'];
  } else {
    $final_fullwidth_topbar = cs_get_option('fullwidth_topbar');
  }
} else {
  $final_fullwidth_topbar = cs_get_option('fullwidth_topbar');
}

// Sticky Header
if($ceremony_meta && $ceremony_sticky_header != 'default') {
  if(isset($ceremony_meta['sticky_header'])) {
    $ceremony_sticky_header      = $ceremony_meta['sticky_header'];
  } else {
    $ceremony_sticky_header      = cs_get_option('sticky_header');
  }  
} else {
  $ceremony_sticky_header      = cs_get_option('sticky_header');
}

// Sticky Footer
if($ceremony_meta && $ceremony_sticky_footer != 'default') {
  if(isset($ceremony_meta['sticky_footer'])) {
    $ceremony_sticky_footer      = $ceremony_meta['sticky_footer'];
  } else {
    $ceremony_sticky_footer      = cs_get_option('sticky_footer');
  }
} else {
  $ceremony_sticky_footer      = cs_get_option('sticky_footer');
}

// Search Icon
if($ceremony_meta && $ceremony_search_icon != 'default') {
  if(isset($ceremony_meta['search_icon'])) {
    $ceremony_search_icon        = $ceremony_meta['search_icon'];
  } else {
    $ceremony_search_icon        = cs_get_option('search_icon');
  }
} else {
  $ceremony_search_icon        = cs_get_option('search_icon');
}

// Cart Icon
if($ceremony_meta && $ceremony_cart_icon != 'default') {
  if(isset($ceremony_meta['cart_icon'])) {
    $ceremony_cart_icon        = $ceremony_meta['cart_icon'];
  } else {
    $ceremony_cart_icon        = cs_get_option('cart_icon');
  }
} else {
  $ceremony_cart_icon        = cs_get_option('cart_icon');
}

$ceremony_fixed_navigation  = cs_get_option('fixed_nav');

$ceremony_header_content = $ceremony_header_content ? $ceremony_header_content : cs_get_option('header_address_info');
$ceremony_header_content_sec = $ceremony_header_content_sec ? $ceremony_header_content_sec : cs_get_option('header_address_info_secondary');

if ($ceremony_header_design_actual !== 'style_two' && $ceremony_header_design_actual !== 'style_three' && $ceremony_header_design_actual !== 'style_four') {
    // Header Fullwidth
    if ($final_fullwidth_header === 'fullwidth') {
      $fullwidth_header_class = ' crmny-full-width-header';
    } else {
      $fullwidth_header_class = '';
    }
} else {
  // Header Fullwidth
  $final_fullwidth_header = '';
  $fullwidth_header_class = '';
}

if ($ceremony_sticky_footer === 'sticky') {
  $footer_class = ' crmny-sticky-footer';
} else {
  $footer_class = ' crmny-not-sticky-footer';
}
// fullwidth Topbar
if ($final_fullwidth_topbar === 'fullwidth') {
  $fullwidth_topbar_class = ' crmny-fullwidth-topbar';
} else {
  $fullwidth_topbar_class = '';
}
if($ceremony_header_design_actual === 'style_two') {
  // Header Transparent
  if ($final_transparent_header === 'transparent') {
    $header_style_class = ' crmny-dark-transparent-header';
  } else {
    $header_style_class = ' crmny-dark-header';
  }
} elseif ($ceremony_header_design_actual === 'style_three') {
  $header_style_class = ' crmny-center-header center-header-style-one';
} elseif ($ceremony_header_design_actual === 'style_four') {
  $header_style_class = ' crmny-center-header center-header-style-two';
} else {
  $header_style_class = ' header-style-one';
}

// One Page Menu
if($one_page_menu) {
  $parallax_menu_class = ' smooth-scroll';
} else {
  $parallax_menu_class = '';
}

$select_mean_menu = cs_get_option('select_mean_menu');
if($ceremony_fixed_navigation === 'show') {
  if(!$select_mean_menu) {
    $mean_class = ' mean-menu-parent';
  } else {
    $mean_class = '';
  }
} else {
  $mean_class = ' mean-menu-parent';
}

if($ceremony_sticky_header === 'sticky') {
  $sticky_header_cls = ' header-sticky';
} else {
  $sticky_header_cls = ' header-not-sticky';
}

wp_head();

// Dynamic styles include
do_action('ceremony-dynamic-styles');
?>
</head>
<body <?php body_class(); ?>>
<!-- Crmny Main Wrap -->
<div class="crmny-main-wrap <?php echo esc_attr($fullwidth_header_class . $fullwidth_topbar_class . $footer_class . $header_style_class); ?>">
  <!-- Crmny Main Wrap Inner -->
  <div class="main-wrap-inner">

  <?php
  get_template_part( 'layouts/header/top', 'bar' );
  if(!$ceremony_hide_header){
    if ($ceremony_header_design_actual === 'style_three') { ?>
    <header class="crmny-header <?php echo esc_attr($sticky_header_cls); ?>">
      <div class="container">
        <div class="brand-center-wrap">
          <div class="row align-items-center">
            <div class="col-md-4">
              <?php if ($need_content) { echo do_shortcode($ceremony_header_content); } else {} ?> <!-- CeremonyWP -->
            </div>
            <div class="col-md-4 col-sm-6 col-6 text-center">
              <?php get_template_part( 'layouts/header/logo' ); ?>
            </div>
            <div class="col-md-4 col-sm-6 col-6 textright">
              <?php if ($need_content) { echo do_shortcode($ceremony_header_content_sec); } else {} ?> <!-- CeremonyWP -->
            </div>
          </div>
        </div>
      </div>
      <div class="header-center-wrap">
        <div class="container">
          <div class="row align-items-center">
            <div class="col-md-1">
              <?php if($ceremony_fixed_navigation === 'show'){ ?>
                <div class="crmny-toggle">
                  <a href="javascript:void(0);" class="crmny-toggle-link"><span class="toggle-separator"></span></a>
                </div>
              <?php } ?>
            </div>
            <div class="col-md-10 text-center <?php echo esc_attr($mean_class); ?>">
              <?php  get_template_part( 'layouts/header/menu', 'bar' ); ?>
            </div>
            <div class="col-md-1 textright">
              <?php
              if($ceremony_cart_icon === 'show') {
                get_template_part( 'layouts/header/header', 'cart' );
              }
              if($ceremony_search_icon === 'show') { get_template_part( 'layouts/header/header', 'search' ); } ?>
            </div>
          </div>
        </div>
      </div>
    </header>
      <?php
      if($ceremony_fixed_navigation === 'show'){
        get_template_part( 'layouts/header/side', 'menu' );
      }
    } elseif($ceremony_header_design_actual === 'style_four') {?>
    <header class="crmny-header <?php echo esc_attr($sticky_header_cls); ?>">
      <div class="container">
        <div class="brand-center-wrap">
          <div class="row align-items-center">
            <div class="col-lg-4">
              <?php if ($need_content) { echo do_shortcode($ceremony_header_content); } else {} ?> <!-- CeremonyWP -->
            </div>
            <div class="col-lg-4 col-sm-6 col-6 text-center">
              <?php get_template_part( 'layouts/header/logo' ); ?>
            </div>
            <div class="col-lg-4 col-sm-6 col-6 textright">
              <?php if($ceremony_cart_icon === 'show') {
                get_template_part( 'layouts/header/header', 'cart' );
              }
              if($ceremony_search_icon === 'show') { get_template_part( 'layouts/header/header', 'search' ); } ?>
              <?php if($ceremony_fixed_navigation === 'show'){ ?>
                <div class="crmny-toggle">
                  <a href="javascript:void(0);" class="crmny-toggle-link"><span class="toggle-separator"><span></span></span></a>
                </div>
              <?php } ?>
            </div>
          </div>
        </div>
      </div>
      <div class="header-center-wrap text-center <?php echo esc_attr($mean_class); ?>">
        <div class="container">
          <?php  get_template_part( 'layouts/header/menu', 'bar' ); ?>
        </div>
      </div>
    </header>
    <?php } else { ?>
      <header class="crmny-header <?php echo esc_attr($sticky_header_cls); ?>">
      <?php if ($final_fullwidth_header === 'fullwidth') {} else { ?>
        <div class="container">
      <?php } ?>
          <div class="row align-items-center">
            <div class="col-md-3 col-sm-6 col-6">
              <?php get_template_part( 'layouts/header/logo' ); ?>
            </div>
            <div class="col-md-9 col-sm-6 col-6">
              <div class="crmny-header-right <?php echo esc_attr($mean_class); ?>">
                <?php  get_template_part( 'layouts/header/menu', 'bar' );
                 if ($ceremony_header_content || $ceremony_cart_icon === 'show' || $ceremony_search_icon === 'show'|| $ceremony_fixed_navigation === 'show') { ?>
                <div class="header-links-wrap">
                <?php
                  if ($need_content) { echo do_shortcode($ceremony_header_content); } else {} // CeremonyWP
                    if($ceremony_cart_icon === 'show') {
                      get_template_part( 'layouts/header/header', 'cart' );
                    }
                    if($ceremony_search_icon === 'show') { get_template_part( 'layouts/header/header', 'search' ); }
                  ?>
                  <?php if($ceremony_fixed_navigation === 'show'){ ?>
                    <div class="crmny-toggle">
                      <a href="javascript:void(0);" class="crmny-toggle-link"><span class="toggle-separator"></span></a>
                    </div>
                  <?php } ?>
                </div>
                <?php } ?>
              </div>
            </div>
          </div>
        <?php if ($final_fullwidth_header === 'fullwidth') {} else { ?>
          </div>
        <?php } ?>
      </header>
      <?php
        if($ceremony_fixed_navigation === 'show'){
          get_template_part( 'layouts/header/side', 'menu' );
        }
     }
  }
  // Title Area
  $ceremony_need_title_bar = cs_get_option('need_title_bar');
  // CeremonyWP - $ceremony_need_title_bar
  if ($ceremony_need_title_bar) {
    get_template_part( 'layouts/header/title', 'bar' );
  }
