<?php
/*
 * All CSS and JS files are enqueued from this file
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

/**
 * Enqueue Files for FrontEnd
 */
if ( ! function_exists( 'ceremony_vt_scripts_styles' ) ) {
  function ceremony_vt_scripts_styles() {

    // Styles
    wp_enqueue_style( 'font-awesome', CEREMONY_CSS . '/font-awesome.min.css', array(), '4.6.3', 'all' );
    wp_enqueue_style( 'nice-select', CEREMONY_CSS .'/nice-select.min.css', array(), '1.0', 'all' );
    wp_enqueue_style( 'loaders', CEREMONY_CSS .'/loaders.min.css', array(), '2.4', 'all' );
    wp_enqueue_style( 'magnific-popup', CEREMONY_CSS .'/magnific-popup.min.css', array(), '2.4', 'all' );
    wp_enqueue_style( 'flexslider', CEREMONY_CSS .'/flexslider.min.css', array(), '2.4', 'all' );
    wp_enqueue_style( 'animate', CEREMONY_CSS .'/animate.min.css', array(), '2.4', 'all' );
    wp_enqueue_style( 'owl-carousel', CEREMONY_CSS .'/owl.carousel.min.css', array(), '2.3.0', 'all' );
    wp_enqueue_style( 'meanmenu', CEREMONY_CSS .'/meanmenu.css', array(), '2.0.7', 'all' );
    wp_enqueue_style( 'bootstrap', CEREMONY_CSS .'/bootstrap.min.css', array(), '4.1.3', 'all' );
    wp_enqueue_style( 'rateyo', CEREMONY_CSS .'/jquery.rateyo.min.css', array(), CEREMONY_VERSION, 'all' );
    wp_enqueue_style( 'ceremony-style', CEREMONY_CSS .'/styles.css', array(), CEREMONY_VERSION, 'all' );

    // Scripts
    wp_enqueue_script( 'bootstrap', CEREMONY_SCRIPTS . '/bootstrap.min.js', array( 'jquery' ), '4.1.3', true );
    wp_enqueue_script( 'meanmenu', CEREMONY_SCRIPTS . '/jquery.meanmenu.js', array( 'jquery' ), CEREMONY_VERSION, true );
    wp_enqueue_script( 'html5shiv', CEREMONY_SCRIPTS . '/html5shiv.min.js', array( 'jquery' ), '3.7.0', true );
    wp_enqueue_script( 'respond', CEREMONY_SCRIPTS . '/respond.min.js', array( 'jquery' ), '1.4.2', true );
    wp_enqueue_script( 'placeholders', CEREMONY_SCRIPTS . '/placeholders.min.js', array( 'jquery' ), '4.0.1', true );
    wp_enqueue_script( 'sticky', CEREMONY_SCRIPTS . '/jquery.sticky.min.js', array( 'jquery' ), '1.0.4', true );
    wp_enqueue_script( 'countdown', CEREMONY_SCRIPTS . '/jquery-countdown.min.js', array( 'jquery' ), '1.6.2', true );
    wp_enqueue_script( 'soundcloud', CEREMONY_SCRIPTS . '/soundcloud.api.min.js', array( 'jquery' ), CEREMONY_VERSION, true );
    wp_enqueue_script( 'jarallax', CEREMONY_SCRIPTS . '/jarallax.min.js', array( 'jquery' ), '1.7.3', true );
    wp_enqueue_script( 'isotope', CEREMONY_SCRIPTS . '/isotope.min.js', array( 'jquery' ), '3.0.1', true );
    wp_enqueue_script( 'packery-mode', CEREMONY_SCRIPTS . '/packery-mode.pkgd.min.js', array( 'jquery' ), '2.0.0', true );
    wp_enqueue_script( 'magnific-popup', CEREMONY_SCRIPTS . '/jquery.magnific-popup.min.js', array( 'jquery' ), '1.1.0', true );
    wp_enqueue_script( 'hoverdir', CEREMONY_SCRIPTS . '/hoverdir.min.js', array( 'jquery' ), '1.1.2', true );
    wp_enqueue_script( 'owl-carousel', CEREMONY_SCRIPTS . '/owl.carousel.min.js', array( 'jquery' ), '2.3.0', true );
    wp_enqueue_script( 'nice-select', CEREMONY_SCRIPTS . '/jquery.nice-select.min.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'matchHeight', CEREMONY_SCRIPTS . '/jquery.matchHeight-min.js', array( 'jquery' ), '0.7.2', true );
    wp_enqueue_script( 'waypoints', CEREMONY_SCRIPTS . '/waypoints.min.js', array( 'jquery' ), '4.0.1', true );
    wp_enqueue_script( 'counterup', CEREMONY_SCRIPTS . '/jquery.counterup.min.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'zoom', CEREMONY_SCRIPTS . '/zoom.min.js', array( 'jquery' ), '1.7.20', true );
    wp_enqueue_script( 'responsiveTabs', CEREMONY_SCRIPTS . '/jquery.responsiveTabs.min.js', array( 'jquery' ), '1.4.0', true );
    wp_enqueue_script( 'rateyo', CEREMONY_SCRIPTS . '/rateyo.min.js', array( 'jquery' ), '2.3.3', true );
    wp_enqueue_script( 'loaders', CEREMONY_SCRIPTS . '/loaders.min.js', array( 'jquery' ), CEREMONY_VERSION, true );
    wp_enqueue_script( 'lazyload', CEREMONY_SCRIPTS . '/lazyload.min.js', array( 'jquery' ), '1.7.10', true );
    wp_enqueue_script( 'image-animate', CEREMONY_SCRIPTS . '/image-animate.min.js', array( 'jquery' ), '1.20.3', true );
    wp_enqueue_script( 'tilt', CEREMONY_SCRIPTS . '/tilt.min.js', array( 'jquery' ), CEREMONY_VERSION, true );
    wp_enqueue_script( 'ceremony-scripts', CEREMONY_SCRIPTS . '/scripts.js', array( 'jquery' ), CEREMONY_VERSION, true );

    // Comments
    wp_enqueue_script( 'validate-js', CEREMONY_SCRIPTS . '/jquery.validate.min.js', array( 'jquery' ), '1.9.0', true );
    wp_add_inline_script( 'validate-js', 'jQuery(document).ready(function($) {$("#commentform").validate({rules: {author: {required: true,minlength: 2},email: {required: true,email: true},comment: {required: true,minlength: 10}}});});' );

    // Responsive
    wp_enqueue_style( 'ceremony-responsive', CEREMONY_CSS .'/responsive.css', array(), CEREMONY_VERSION, 'all' );

    // Adds support for pages with threaded comments
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }

  }
  add_action( 'wp_enqueue_scripts', 'ceremony_vt_scripts_styles' );
}

/**
 * Enqueue Files for BackEnd
 */
if ( ! function_exists( 'ceremony_vt_admin_scripts_styles' ) ) {
  function ceremony_vt_admin_scripts_styles() {

    wp_enqueue_style( 'ceremony-admin-main', CEREMONY_CSS . '/admin-styles.css', true );
    wp_enqueue_script( 'ceremony-admin-scripts', CEREMONY_SCRIPTS . '/admin-scripts.js', true );
    wp_enqueue_style( 'pe-icon-7', CEREMONY_CSS .'/Pe-icon-7-stroke.min.css', array(), '2.4', 'all' );
    wp_enqueue_style( 'et-icons', CEREMONY_CSS .'/et-icons.css', array(), CEREMONY_VERSION, 'all' );

  }
  add_action( 'admin_enqueue_scripts', 'ceremony_vt_admin_scripts_styles' );
}

/* Enqueue All Styles */
if ( ! function_exists( 'ceremony_vt_wp_enqueue_styles' ) ) {
  function ceremony_vt_wp_enqueue_styles() {
    ceremony_vt_google_fonts();
    add_action( 'wp_head', 'ceremony_vt_custom_css', 99 );
  }
  add_action( 'wp_enqueue_scripts', 'ceremony_vt_wp_enqueue_styles' );
}

/**
 * Apply theme's stylesheet to the visual editor.
 *
 * @uses add_editor_style() Links a stylesheet to visual editor
 * @uses get_stylesheet_uri() Returns URI of theme stylesheet
 */
function ceremony_add_editor_styles() {
  add_editor_style( get_stylesheet_uri() );
}
add_action( 'init', 'ceremony_add_editor_styles' );
