<?php

if (!function_exists('ceremony_gallery_ajax_scripts')) {
  function ceremony_gallery_ajax_scripts() {
    wp_enqueue_script( 'ceremony-more-cat-post', CEREMONY_SCRIPTS . '/load-more-gallery.js', array( 'jquery' ), CEREMONY_VERSION, false );
    $ceremony_admin_url = array(
      'ajaxurl' => admin_url('admin-ajax.php'),
      'olderpost' => (cs_get_option('older_post')) ? : esc_html__( 'Prev', 'ceremony' ),
      'newerpost' => (cs_get_option('newer_post')) ? : esc_html__( 'Next', 'ceremony' ),
    );
    wp_localize_script( 'ceremony-more-cat-post', 'ceremony_admin_url', $ceremony_admin_url );
  }
  add_action('wp_enqueue_scripts', 'ceremony_gallery_ajax_scripts');
}

if (!function_exists('ceremony_gallery_ajax')) {
  function ceremony_gallery_ajax(){

    $cat     = (isset($_POST['cat'])) ? $_POST['cat'] : '';
    $items   = (isset($_POST['limit'])) ? $_POST['limit'] : '5';
    $ceremony_gallery_style   = (isset($_POST['style'])) ? $_POST['style'] : 'one';

    if (!$items) {
      $ppp = 5;
    } else {
      $ppp = $items;
    }

    $args = array(
      'post_type'       => 'gallery',
      'posts_per_page'  => $items,
      'gallery_category'   => $cat,
      'post_status'     => 'publish',
    );

    $cat_query = new WP_Query($args);
 ?>
      <div class="gallery-posts-wrapper crmny-galry-data-item">
      <?php
      if ($cat_query->have_posts()) : while ($cat_query->have_posts()) : $cat_query->the_post();

        // Category
        global $post;
        $ceremony_terms = wp_get_post_terms($post->ID,'gallery_category');
        foreach ($ceremony_terms as $term) {
          $ceremony_cat_class = $term->slug.'-item ';
        }
        $ceremony_count = count($ceremony_terms);
        $i=0;
        $ceremony_cat_class = '';
        if ($ceremony_count > 0) {
          foreach ($ceremony_terms as $term) {
            $i++;
            $ceremony_cat_class .= $term->slug .'-item ';
            if ($ceremony_count != $i) {
              $ceremony_cat_class .= '';
            } else {
              $ceremony_cat_class .= '';
            }
          }
        }

        // Featured Image
        $ceremony_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
        $ceremony_large_image = $ceremony_large_image[0];
        $gallery_options = get_post_meta( get_the_ID(), 'gallery_type', true );
        if($gallery_options) {
          $masonry_img_width = $gallery_options['gallery_img_width'];
          if($gallery_options['featured_image_masonry']) {
            $masonry_featured_image = wp_get_attachment_image_url( $gallery_options['featured_image_masonry'], 'fullsize', true );
          } else {
            $masonry_featured_image = $ceremony_large_image;
          }
        } else {
          $masonry_img_width = '';
          $masonry_featured_image = $ceremony_large_image;
        }

        if($hide_resizer) {
          $ceremony_featured_img = $ceremony_large_image;
        } else {
          if ($ceremony_gallery_style === 'three') {
            if(class_exists('Aq_Resize')) {
              $ceremony_gallery_img = aq_resize( $ceremony_large_image, '570', '510', true );
            } else {$ceremony_gallery_img = $ceremony_large_image;}
            $ceremony_featured_img = ( $ceremony_gallery_img ) ? $ceremony_gallery_img : CEREMONY_IMAGES . '/580x420.png';
          } elseif ($ceremony_gallery_style === 'two') {
            $ceremony_gallery_img = $masonry_featured_image;
          } elseif($ceremony_gallery_style === 'four') {
            $ceremony_gallery_img = $ceremony_large_image;
          } else {
            if(class_exists('Aq_Resize')) {
              $ceremony_gallery_img = aq_resize( $ceremony_large_image, '446', '367', true );
            } else {$ceremony_gallery_img = $ceremony_large_image;}
            $ceremony_featured_img = ( $ceremony_gallery_img ) ? $ceremony_gallery_img : CEREMONY_IMAGES . '/580x420.png';
          }
        }

        if ($ceremony_gallery_style === 'four') { ?>
         <div class="masonry-item <?php echo esc_attr($ceremony_cat_class); ?>" data-category="<?php echo esc_attr($ceremony_cat_class); ?>">
          <div class="gallery-item">
            <div class="crmny-image">
              <img src="<?php echo esc_url($ceremony_large_image); ?>" alt="<?php the_title_attribute(); ?>">
              <div class="gallery-info">
                <div class="crmny-table-wrap">
                  <div class="crmny-align-wrap">
                    <div class="crmny-popup"><a href="<?php echo esc_url($ceremony_large_image); ?>"><span class="popup-separator"></span></a></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <?php } elseif ($ceremony_gallery_style === 'three') { ?>
        <div class="masonry-item one-half <?php echo esc_attr($ceremony_cat_class); ?>" data-category="<?php echo esc_attr($ceremony_cat_class); ?>">
          <div class="gallery-item">
            <div class="crmny-image">
              <img src="<?php echo esc_url($ceremony_featured_img); ?>" alt="<?php the_title_attribute(); ?>">
              <div class="gallery-info">
                <div class="crmny-table-wrap">
                  <div class="crmny-align-wrap">
                    <div class="crmny-icon crmny-popup"><a href="<?php echo esc_url($ceremony_large_image); ?>"><i class="fa fa-search" aria-hidden="true"></i></a></div>
                  </div>
                </div>
              </div>
            </div>
            <h4 class="gallery-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title_attribute(); ?></a></h4>
          </div>
        </div>
        <?php } elseif ($ceremony_gallery_style === 'two') { ?>
        <div class="masonry-item <?php echo esc_attr($ceremony_cat_class . $masonry_img_width); ?>" data-category="<?php echo esc_attr($ceremony_cat_class); ?>">
          <div class="gallery-item">
            <div class="crmny-image">
              <img src="<?php echo esc_url($ceremony_gallery_img); ?>" alt="<?php the_title_attribute(); ?>">
              <div class="gallery-info">
                <div class="crmny-table-wrap">
                  <div class="crmny-align-wrap">
                    <div class="crmny-popup"><a href="<?php echo esc_url($masonry_featured_image); ?>"><span class="popup-separator"></span></a></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <?php } else {
          $details_txt = $details_txt ? $details_txt : esc_html__('DETAILS','ceremony');
          ?>
        <div class="masonry-item <?php echo esc_attr($ceremony_cat_class); ?>" data-category="<?php echo esc_attr($ceremony_cat_class); ?>">
          <div class="gallery-item">
            <div class="crmny-image">
              <img src="<?php echo esc_url($ceremony_featured_img); ?>" alt="<?php the_title_attribute(); ?>">
              <div class="gallery-info">
                <div class="crmny-table-wrap">
                  <div class="crmny-align-wrap">
                    <div class="crmny-icon crmny-popup"><a href="<?php echo esc_url($ceremony_large_image); ?>"><i class="fa fa-search" aria-hidden="true"></i></a></div>
                    <h4 class="gallery-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title_attribute(); ?></a></h4>
                    <a href="<?php echo esc_url( get_permalink() ); ?>" class="gallery-detail-link"><?php echo esc_html($details_txt); ?></a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <?php }
      endwhile;
     endif; ?>
     </div>
     <?php
     $max_products = $cat_query->max_num_pages;
     $total_products = $cat_query->found_posts;
      if ($ppp < $total_products) {
        echo '<nav class="crmny-pagination"><ul class="page-numbers ajax-page-numbers">';
          for ($i=1; $i <= $max_products; $i++) {
            $current = ($i == 1) ? 'current disabled-click' : '';
            echo '<li><a data-page="'.esc_attr($i).'" class="page-numbers '.$current.'" href="#">'.esc_html($i).'</a></li>';
          }
          if ($ppp < $total_products) { echo '<li class="last update-item"><a class="next page-numbers" data-page="2" href="#">'.esc_url($ceremony_admin_url).esc_html($newerpost).' <i class="fa fa-angle-right"></i></a></li>'; }
        echo '</ul></nav>';
      } ?>
     <?php wp_die();
  }
}
add_action('wp_ajax_nopriv_ceremony_gallery_ajax', 'ceremony_gallery_ajax');
add_action('wp_ajax_ceremony_gallery_ajax', 'ceremony_gallery_ajax');

if (!function_exists('ceremony_more_gallery_ajax_pagi')) {
  function ceremony_more_gallery_ajax_pagi(){
    $cat     = (isset($_POST['cat'])) ? $_POST['cat'] : '';
    $items   = (isset($_POST['limit'])) ? $_POST['limit'] : '5';
    $ceremony_gallery_style   = (isset($_POST['style'])) ? $_POST['style'] : 'one';

    if (!$items) {
      $ppp = 5;
    } else {
      $ppp = $items;
    }

    $cat     = (isset($_POST['cat'])) ? $_POST['cat'] : '';
    $offset  = (isset($_POST['offset'])) ? $_POST['offset'] : 0;
    if ($offset > 1) {
      $offset  = ($offset - 1) * $ppp;
    } else {
      $offset  = 0;
    }

    $args = array(
      'post_type'      => 'gallery',
      'posts_per_page' => $ppp,
      'offset'         => $offset
    );
    if ($cat) {
      $args['tax_query'] = array(
        array(
          'taxonomy' => 'gallery_category',
          'field'    => 'slug',
          'terms'    => $cat,
        ),
      );
    }

    $cat_query = new WP_Query($args); ?>
      <div class="gallery-posts-wrapper crmny-galry-data-item">
      <?php
      if ($cat_query->have_posts()) : while ($cat_query->have_posts()) : $cat_query->the_post();

        // Category
        global $post;
        $ceremony_terms = wp_get_post_terms($post->ID,'gallery_category');
        foreach ($ceremony_terms as $term) {
          $ceremony_cat_class = $term->slug.'-item ';
        }
        $ceremony_count = count($ceremony_terms);
        $i=0;
        $ceremony_cat_class = '';
        if ($ceremony_count > 0) {
          foreach ($ceremony_terms as $term) {
            $i++;
            $ceremony_cat_class .= $term->slug .'-item ';
            if ($ceremony_count != $i) {
              $ceremony_cat_class .= '';
            } else {
              $ceremony_cat_class .= '';
            }
          }
        }

        // Featured Image
        $ceremony_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
        $ceremony_large_image = $ceremony_large_image[0];
        $gallery_options = get_post_meta( get_the_ID(), 'gallery_type', true );
        if($gallery_options) {
          $masonry_img_width = $gallery_options['gallery_img_width'];
          if($gallery_options['featured_image_masonry']) {
            $masonry_featured_image = wp_get_attachment_image_url( $gallery_options['featured_image_masonry'], 'fullsize', true );
          } else {
            $masonry_featured_image = $ceremony_large_image;
          }
        } else {
          $masonry_img_width = '';
          $masonry_featured_image = $ceremony_large_image;
        }

        if($hide_resizer) {
          $ceremony_featured_img = $ceremony_large_image;
        } else {
          if ($ceremony_gallery_style === 'three') {
            if(class_exists('Aq_Resize')) {
              $ceremony_gallery_img = aq_resize( $ceremony_large_image, '570', '510', true );
            } else {$ceremony_gallery_img = $ceremony_large_image;}
            $ceremony_featured_img = ( $ceremony_gallery_img ) ? $ceremony_gallery_img : CEREMONY_IMAGES . '/580x420.png';
          } elseif ($ceremony_gallery_style === 'two') {
            $ceremony_gallery_img = $masonry_featured_image;
          } elseif($ceremony_gallery_style === 'four') {
            $ceremony_gallery_img = $ceremony_large_image;
          } else {
            if(class_exists('Aq_Resize')) {
              $ceremony_gallery_img = aq_resize( $ceremony_large_image, '446', '367', true );
            } else {$ceremony_gallery_img = $ceremony_large_image;}
            $ceremony_featured_img = ( $ceremony_gallery_img ) ? $ceremony_gallery_img : CEREMONY_IMAGES . '/580x420.png';
          }
        }

        if ($ceremony_gallery_style === 'four') { ?>
         <div class="masonry-item <?php echo esc_attr($ceremony_cat_class); ?>" data-category="<?php echo esc_attr($ceremony_cat_class); ?>">
          <div class="gallery-item">
            <div class="crmny-image">
              <img src="<?php echo esc_url($ceremony_large_image); ?>" alt="<?php the_title_attribute(); ?>">
              <div class="gallery-info">
                <div class="crmny-table-wrap">
                  <div class="crmny-align-wrap">
                    <div class="crmny-popup"><a href="<?php echo esc_url($ceremony_large_image); ?>"><span class="popup-separator"></span></a></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <?php } elseif ($ceremony_gallery_style === 'three') { ?>
        <div class="masonry-item one-half <?php echo esc_attr($ceremony_cat_class); ?>" data-category="<?php echo esc_attr($ceremony_cat_class); ?>">
          <div class="gallery-item">
            <div class="crmny-image">
              <img src="<?php echo esc_url($ceremony_featured_img); ?>" alt="<?php the_title_attribute(); ?>">
              <div class="gallery-info">
                <div class="crmny-table-wrap">
                  <div class="crmny-align-wrap">
                    <div class="crmny-icon crmny-popup"><a href="<?php echo esc_url($ceremony_large_image); ?>"><i class="fa fa-search" aria-hidden="true"></i></a></div>
                  </div>
                </div>
              </div>
            </div>
            <h4 class="gallery-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title_attribute(); ?></a></h4>
          </div>
        </div>
        <?php } elseif ($ceremony_gallery_style === 'two') { ?>
        <div class="masonry-item <?php echo esc_attr($ceremony_cat_class . $masonry_img_width); ?>" data-category="<?php echo esc_attr($ceremony_cat_class); ?>">
          <div class="gallery-item">
            <div class="crmny-image">
              <img src="<?php echo esc_url($ceremony_gallery_img); ?>" alt="<?php the_title_attribute(); ?>">
              <div class="gallery-info">
                <div class="crmny-table-wrap">
                  <div class="crmny-align-wrap">
                    <div class="crmny-popup"><a href="<?php echo esc_url($masonry_featured_image); ?>"><span class="popup-separator"></span></a></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <?php } else {
          $details_txt = $details_txt ? $details_txt : esc_html__('Details','ceremony');
          ?>
        <div class="masonry-item <?php echo esc_attr($ceremony_cat_class); ?>" data-category="<?php echo esc_attr($ceremony_cat_class); ?>">
          <div class="gallery-item">
            <div class="crmny-image">
              <img src="<?php echo esc_url($ceremony_featured_img); ?>" alt="<?php the_title_attribute(); ?>">
              <div class="gallery-info">
                <div class="crmny-table-wrap">
                  <div class="crmny-align-wrap">
                    <div class="crmny-icon crmny-popup"><a href="<?php echo esc_url($ceremony_large_image); ?>"><i class="fa fa-search" aria-hidden="true"></i></a></div>
                    <h4 class="gallery-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title_attribute(); ?></a></h4>
                    <a href="<?php echo esc_url( get_permalink() ); ?>" class="gallery-detail-link"><?php echo esc_html($details_txt); ?></a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <?php }
      endwhile;
     endif; ?>
     </div>
     <?php
     $max_products = $cat_query->max_num_pages;
     $total_products = $cat_query->found_posts;
      if ($ppp < $total_products) {
        echo '<nav class="crmny-pagination"><ul class="page-numbers ajax-page-numbers crmny-pagination">';
          for ($i=1; $i <= $max_products; $i++) {
            // $current = ($i == 1) ? 'current disabled-click' : '';
            echo '<li><a data-page="'.esc_attr($i).'" class="page-numbers" href="#">'.esc_html($i).'</a></li>';
          }
          if ($ppp < $total_products) { echo '<li class="last update-item"><a class="next page-numbers" data-page="2" href="#">'.esc_url($ceremony_admin_url).esc_html($newerpost).' <i class="fa fa-angle-right"></i></a></li>'; }
        echo '</ul></nav>';
      } ?>
     <?php wp_die();
  }
}
add_action('wp_ajax_nopriv_ceremony_more_gallery_ajax_pagi', 'ceremony_more_gallery_ajax_pagi');
add_action('wp_ajax_ceremony_more_gallery_ajax_pagi', 'ceremony_more_gallery_ajax_pagi');
