<?php
/*
 * All customizer related options for Ceremony theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

if( ! function_exists( 'ceremony_vt_customizer' ) ) {
  function ceremony_vt_customizer( $options ) {

	$options        = array(); // remove old options

	// Primary Color
	$options[]      = array(
	  'name'        => 'elemets_color_section',
	  'title'       => esc_html__('Primary Color', 'ceremony'),
	  'settings'    => array(

	    // Fields Start
			array(
				'name'      => 'all_element_colors',
				'default'   => '#d7c2ae',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Elements Color', 'ceremony'),
					'description'    => esc_html__('This is theme primary color, means it\'ll affect all elements that have default color of our theme primary color.', 'ceremony'),
				),
			),
	    // Fields End

	  )
	);
	// Primary Color

	// Secondary Color
	$options[]      = array(
	  'name'        => 'elemets_sec_color_section',
	  'title'       => esc_html__('Secondary Color', 'ceremony'),
	  'settings'    => array(

	    // Fields Start
			array(
				'name'      => 'all_element_secondary_colors',
				'default'   => '#b4d2c8',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Elements secondary Color', 'ceremony'),
					'description'    => esc_html__('This is theme secondary color, means it\'ll affect all elements that have default color of our theme secondary color.', 'ceremony'),
				),
			),
	    // Fields End
	  )
	);
	// Secondary Color

	// Topbar Color
	$options[]      = array(
	  'name'        => 'topbar_color_section',
	  'title'       => esc_html__('01. Topbar Colors', 'ceremony'),
	  'settings'    => array(

	    // Fields Start
	    array(
				'name'          => 'topbar_bg_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Bar Color', 'ceremony'),
					),
				),
			),
			array(
				'name'      => 'topbar_bg_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Background Color', 'ceremony'),
				),
			),
			array(
				'name'          => 'topbar_text_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Common Color', 'ceremony'),
					),
				),
			),
			array(
				'name'      => 'topbar_text_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Text Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'topbar_link_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Link Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'topbar_link_hover_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Link Hover Color', 'ceremony'),
				),
			),
			array(
				'name'          => 'topbar_button_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Button Colors', 'ceremony'),
					),
				),
			),
			array(
				'name'      => 'topbar_button_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Button Text Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'topbar_button_bg_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Button Bckground Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'topbar_button_border_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Button Border Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'topbar_button_text_hover_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Button Text Hover Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'topbar_button_bg_hover_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Button Bckground Hover Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'topbar_button_border_hover_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Button Border Hover Color', 'ceremony'),
				),
			),
	    // Fields End

	  )
	);
	// Topbar Color

	// Header Color
	$options[]      = array(
	  'name'        => 'header_color_section',
	  'title'       => esc_html__('02. Header Colors', 'ceremony'),
	  'sections'    => array(

	  	array(
	      'name'          => 'sub_menu_section',
	      'title'         => esc_html__('Header General(Sub-menu\'s)', 'ceremony'),
	      'settings'      => array(

			    // Fields Start
					array(
						'name'          => 'header_sub_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Sub Menu Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'sub_menu_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sub_menu_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sub_menu_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sub_menu_border_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Border Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sub_menu_top_border_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Top Border Color', 'ceremony'),
						),
					),

				)
    	),
	  	// Header One
	  	array(
	      'name'          => 'normal_header_section',
	      'title'         => esc_html__('Header Style One', 'ceremony'),
	      'settings'      => array(

			    // Fields Start
					array(
						'name'          => 'header_one_main_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Main Menu Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'header_one_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_one_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_one_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_one_cart_counter_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_one_cart_counter_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_one_social_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icon Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_one_social_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icons Hover Color', 'ceremony'),
						),
					),
					array(
						'name'          => 'sticky_header_one_main_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Sticky Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'sticky_header_one_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_one_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_one_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_one_cart_counter_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_one_cart_counter_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_one_social_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icon Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_one_social_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icons Hover Color', 'ceremony'),
						),
					),
				)
    	),
    	// Header Style Two Normal
    	array(
	      'name'          => 'normal_header_two_section',
	      'title'         => esc_html__('Header Style Two(Normal)', 'ceremony'),
	      'settings'      => array(

			    // Fields Start
					array(
						'name'          => 'header_two_normal_main_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Main Menu Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'header_two_normal_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_normal_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_normal_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_normal_cart_counter_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_normal_cart_counter_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_normal_social_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icon Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_normal_social_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icons Hover Color', 'ceremony'),
						),
					),
					array(
						'name'          => 'sticky_header_two_normal_main_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Sticky Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'sticky_header_two_normal_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_normal_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_normal_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_normal_cart_counter_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_normal_cart_counter_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_normal_social_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icon Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_normal_social_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icons Hover Color', 'ceremony'),
						),
					),
				)
    	),

    	// Header Style Two (Transparent)
    	array(
	      'name'          => 'normal_header_two_trans_section',
	      'title'         => esc_html__('Header Style Two(Transparent)', 'ceremony'),
	      'settings'      => array(

			    // Fields Start
					array(
						'name'          => 'header_two_trans_normal_main_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Main Menu Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'header_two_trans_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_trans_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_trans_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_trans_icon_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Header Icon Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_trans_icon_bg_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Header Icon Background Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_trans_cart_counter_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_trans_cart_counter_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_trans_social_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icon Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_two_trans_social_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icons Hover Color', 'ceremony'),
						),
					),
					array(
						'name'          => 'sticky_header_two_trans_main_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Sticky Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'sticky_header_two_trans_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_trans_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_trans_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_trans_icon_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Header Icon Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_trans_icon_bg_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Header Icon Background Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_trans_cart_counter_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_trans_cart_counter_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_trans_social_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icon Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_two_trans_social_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icons Hover Color', 'ceremony'),
						),
					),
				)
    	),

			// Header Style Three
    	array(
	      'name'          => 'normal_header_three_trans_section',
	      'title'         => esc_html__('Header Style Three', 'ceremony'),
	      'settings'      => array(

			    // Fields Start
			    array(
						'name'          => 'header_three_logo_bar_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Logo Bar Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'header_three_logo_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_three_logobar_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_three_logobar_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_three_social_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icon Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_three_social_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icons Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'three_btn_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Text Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'three_btn_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'three_btn_border_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Border Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'three_btn_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Text Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'three_btn_bg_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Background Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'three_btn_border_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Border Hover Color', 'ceremony'),
						),
					),
					// Logo Bar Sticky
					array(
						'name'          => 'sticky_header_three_logo_sticky_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Logo Bar Sticky Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'sticky_header_three_logo_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_three_logobar_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_three_logobar_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_three_social_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icon Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_three_social_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icons Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_three_btn_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Text Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_three_btn_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_three_btn_border_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Border Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_three_btn_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Text Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_three_btn_bg_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Background Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_three_btn_border_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Border Hover Color', 'ceremony'),
						),
					),

					// Menu Bar
					array(
						'name'          => 'header_three_normal_main_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Main Menu Bar Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'header_three_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_three_border_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Border Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_three_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_three_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_three_cart_counter_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_three_cart_counter_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Background Color', 'ceremony'),
						),
					),
					array(
						'name'          => 'sticky_header_three_main_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Menu Bar Sticky Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'sticky_header_three_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_three_border_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Border Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_three_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_three_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_three_cart_counter_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_three_cart_counter_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Background Color', 'ceremony'),
						),
					),

				)
    	),

			// Header Style Four
    	array(
	      'name'          => 'normal_header_four_section',
	      'title'         => esc_html__('Header Style Four', 'ceremony'),
	      'settings'      => array(

			    // Fields Start
			    array(
						'name'          => 'header_four_logo_bar_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Logo Bar Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'header_four_logo_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_four_logobar_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_four_logobar_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_four_social_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icon Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_four_social_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icons Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_four_cart_counter_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_four_cart_counter_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'four_btn_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Text Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'four_btn_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'four_btn_border_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Border Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'four_btn_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Text Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'four_btn_bg_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Background Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'four_btn_border_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Border Hover Color', 'ceremony'),
						),
					),
					// Logo Bar Sticky
					array(
						'name'          => 'sticky_header_four_logo_sticky_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Logo Bar Sticky Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'sticky_header_four_logo_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_four_logobar_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_four_logobar_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_four_social_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icon Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_four_social_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Social Icons Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_four_cart_counter_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_four_cart_counter_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Cart Counter Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_four_btn_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Text Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_four_btn_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_four_btn_border_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Border Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_four_btn_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Text Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_four_btn_bg_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Background Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_four_btn_border_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Button Border Hover Color', 'ceremony'),
						),
					),

					// Menu Bar
					array(
						'name'          => 'header_four_normal_main_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Main Menu Bar Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'header_four_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_four_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'header_four_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'          => 'sticky_header_four_main_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Menu Bar Sticky Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'sticky_header_four_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_four_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sticky_header_four_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sticky Link Hover Color', 'ceremony'),
						),
					),

				)
    	),

      array(
	      'name'          => 'mobile_menu_section',
	      'title'         => esc_html__('Mobile Menu', 'ceremony'),
	      'settings'      => array(
	      	array(
						'name'          => 'mobile_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Mobile Menu Colors', 'ceremony'),
							),
						),
					),
					array(
						'name'      => 'mobile_menu_toggle_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Menu Toggle Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'mobile_menu_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'mobile_menu_bg_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'mobile_menu_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'mobile_menu_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'mobile_menu_border_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Border Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'mobile_menu_expand_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Menu Expand Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'mobile_menu_expand_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Menu Expand Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'mobile_menu_expand_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Menu Expand Background Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'mobile_menu_expand_bg_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Menu Expand Background Hover Color', 'ceremony'),
						),
					),
				)
      ),
	    // Fields End

	  )
	);
	// Header Color

	// Sidebar Menu Color
	$options[]      = array(
	  'name'        => 'sidemenu_section',
	  'title'       => esc_html__('03. Sidebar Menu Colors', 'ceremony'),
    'settings'      => array(

    	// Fields Start
    	array(
				'name'          => 'sidemenu_colors_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Sidebar Menu Colors', 'ceremony'),
					),
				),
			),
    	array(
				'name'      => 'sidebar_bg_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Background Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'sidebar_text_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Text Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'sidebar_link_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Link Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'sidebar_link_hover_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Link Hover Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'sidebar_menu_border_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Menu Border Color', 'ceremony'),
				),
			),
	    // Fields End

	  )
	);
	// Sidebar Menu Color

	// Title Bar Color
	$options[]      = array(
	  'name'        => 'titlebar_section',
	  'title'       => esc_html__('04. Title Bar Colors', 'ceremony'),
    'settings'      => array(

    	// Fields Start
    	array(
				'name'          => 'titlebar_colors_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('<h2 style="margin: 0;text-align: center;">Title Colors</h2> <br /> This is common settings, if this settings not affect in your page. Please check your page metabox. You may set default settings there.', 'ceremony'),
					),
				),
			),
    	array(
				'name'      => 'titlebar_title_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Title Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'titlebar_sub_title_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Sub Title Color', 'ceremony'),
				),
			),
	    // Fields End

	  )
	);
	// Title Bar Color

	// Content Color
	$options[]      = array(
	  'name'        => 'content_section',
	  'title'       => esc_html__('05. Content Colors', 'ceremony'),
	  'description' => esc_html__('This is all about content area text and heading colors.', 'ceremony'),
	  'sections'    => array(

	  	array(
	      'name'          => 'content_text_section',
	      'title'         => esc_html__('Content Text', 'ceremony'),
	      'settings'      => array(

			    // Fields Start
			    array(
						'name'      => 'body_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Body & Content Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'body_links_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Body Links Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'body_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Body Links Hover Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sidebar_content_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sidebar Content Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sidebar_links_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sidebar Links Color', 'ceremony'),
						),
					),
					array(
						'name'      => 'sidebar_links_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sidebar Links Hover Color', 'ceremony'),
						),
					),
			    // Fields End
			  )
			),

			// Text Colors Section
			array(
	      'name'          => 'content_heading_section',
	      'title'         => esc_html__('Headings', 'ceremony'),
	      'settings'      => array(

	      	// Fields Start
					array(
						'name'      => 'content_heading_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Content Heading Color', 'ceremony'),
						),
					),
	      	array(
						'name'      => 'sidebar_heading_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Sidebar Heading Color', 'ceremony'),
						),
					),
			    // Fields End
      	)
      ),
	  )
	);
	// Content Color

	// Footer Color
	$options[]      = array(
	  'name'        => 'footer_section',
	  'title'       => esc_html__('06. Footer Colors', 'ceremony'),
	  'description' => esc_html__('This is all about footer settings. Make sure you\'ve enabled your needed section at : Ceremony > Theme Options > Footer ', 'ceremony'),
	  'settings'      => array(

	    // Fields Start
			array(
	      'name'          => 'footer_widget_color_notice',
	      'control'       => array(
	        'type'        => 'cs_field',
	        'options'     => array(
	          'type'      => 'notice',
	          'class'     => 'info',
	          'content'   => esc_html__('Content Colors(Dark Footer)', 'ceremony'),
	        ),
	      ),
	    ),
			array(
				'name'      => 'footer_heading_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Widget Heading Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'footer_text_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Widget Text Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'footer_link_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Widget Link Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'footer_link_hover_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Widget Link Hover Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'footer_bg_color',
				'default'   => '#2a2a2a',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Background Color', 'ceremony'),
				),
			),
	    // Fields End
	)
);
	// Copyright Color
	$options[]      = array(
	  'name'        => 'copyright_section',
	  'title'       => esc_html__('07. Copyright Colors', 'ceremony'),
	  'description' => esc_html__('This is all about footer settings. Make sure you\'ve enabled your needed section at : Ceremony > Theme Options > Footer > Copyright Layout ', 'ceremony'),
	  'settings'      => array(

	    // Fields Start
			array(
	      'name'          => 'copyright_color_notice',
	      'control'       => array(
	        'type'        => 'cs_field',
	        'options'     => array(
	          'type'      => 'notice',
	          'class'     => 'info',
	          'content'   => esc_html__('Copyright Colors(Dark Footer)', 'ceremony'),
	        ),
	      ),
	    ),
			array(
				'name'      => 'copyright_text_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Copyright Text Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'copyright_link_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Copyright Link Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'copyright_link_hover_color',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Copyright Link Hover Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'copyright_bg_color',
				'default'   => '#2a2a2a',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Background Color', 'ceremony'),
				),
			),
			array(
				'name'      => 'copyright_border_color',
				'default'   => '#3f3f3f',
				'control'   => array(
					'type'  => 'color',
					'label' => esc_html__('Border Color', 'ceremony'),
				),
			),
	    // Fields End
	  )
	);
	// Footer Color

	return $options;

  }
  add_filter( 'cs_customize_options', 'ceremony_vt_customizer' );
}
