<?php
/*
 * The main template file.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );

if ($ceremony_meta) {
	$ceremony_content_padding = $ceremony_meta['content_spacings'];
} else { $ceremony_content_padding = ''; }
// Padding - Metabox
if ($ceremony_content_padding && $ceremony_content_padding !== 'padding-none') {
	$ceremony_content_top_spacings = $ceremony_meta['content_top_spacings'];
	$ceremony_content_bottom_spacings = $ceremony_meta['content_bottom_spacings'];
	if ($ceremony_content_padding === 'padding-custom') {
		$ceremony_content_top_spacings = $ceremony_content_top_spacings ? 'padding-top:'. ceremony_check_px($ceremony_content_top_spacings) .';' : '';
		$ceremony_content_bottom_spacings = $ceremony_content_bottom_spacings ? 'padding-bottom:'. ceremony_check_px($ceremony_content_bottom_spacings) .';' : '';
		$ceremony_custom_padding = $ceremony_content_top_spacings . $ceremony_content_bottom_spacings;
	} else {
		$ceremony_custom_padding = '';
	}
} else {
	$ceremony_custom_padding = '';
}

// Theme Options
$ceremony_sidebar_position = cs_get_option('blog_sidebar_position');
$ceremony_blog_style = cs_get_option('blog_listing_style');
$ceremony_pagi_style = cs_get_option('blog_pagination_style');
$ceremony_load_more = cs_get_option('blog_load_more_btn_txt');
$ceremony_blog_widget = cs_get_option('blog_widget');
$load_more_btn_txt = $ceremony_load_more ? $ceremony_load_more : esc_html__( 'Load More', 'ceremony' );

if ($ceremony_blog_widget) {
	$widget_select = $ceremony_blog_widget;
} else {
	if (is_active_sidebar('sidebar-1')) {
		$widget_select = 'sidebar-1';
	} else {
		$widget_select = '';
	}
}

// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
	if ($ceremony_sidebar_position === 'sidebar-hide') {
		$layout_class = 'col-md-12';
		$ceremony_sidebar_class = 'hide-sidebar';
	} elseif ($ceremony_sidebar_position === 'sidebar-left') {
		$layout_class = 'crmny-primary';
		$ceremony_sidebar_class = 'left-sidebar';
	} else {
		$layout_class = 'crmny-primary';
		$ceremony_sidebar_class = 'right-sidebar';
	}
} else {
	$ceremony_sidebar_position = 'sidebar-hide';
	$layout_class = 'col-md-12';
	$ceremony_sidebar_class = 'hide-sidebar';
}
if ($ceremony_blog_style === 'style-two' ) {
	$style_cls = ' blog-style-two';
} else {
	$style_cls = ' blog-style-one default';
}
?>
<div class="crmny-mid-wrap mid-spacer-two <?php echo esc_attr($ceremony_content_padding .' '. $ceremony_sidebar_class); ?>" style="<?php echo esc_attr($ceremony_custom_padding); ?>">
  <div class="container">
    <div class="row">
	    <?php
				if ($ceremony_sidebar_position === 'sidebar-left' && $ceremony_sidebar_position !== 'sidebar-hide') {	get_sidebar(); } ?>
	      <div class="primary-spacer-one <?php echo esc_attr($layout_class); ?>">
	        <div class="blog-detail-wrap crmny-post-load-more <?php echo esc_attr($style_cls); ?>" data-select=".blog-detail-wrap" data-item=".blog-single-item" data-paging="<?php echo esc_attr($ceremony_pagi_style); ?>" data-loading="<?php echo esc_attr($load_more_btn_txt); ?>">
	        <?php if ($ceremony_blog_style === 'style-two' ) { ?>
	          <div class="row">
	        <?php }
							if ( have_posts() ) :
								/* Start the Loop */
								while ( have_posts() ) : the_post();
									get_template_part( 'layouts/post/content' );
								endwhile;
							else :
								get_template_part( 'layouts/post/content', 'none' );
							endif;
							if ($ceremony_blog_style === 'style-two' ) { ?>
								</div>
			        <?php } ?>

						<?php
						echo '<div class="crmny-pagenavi">';
							ceremony_default_paging_nav();
						echo '</div>';
					    wp_reset_postdata();  // avoid errors further down the page
						?>
						</div>
	        </div>
	      	<?php if ($ceremony_sidebar_position !== 'sidebar-hide') {	get_sidebar(); } ?>
      </div>
    </div>
  </div>
<?php
get_footer();
