<?php
// Metabox
$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
$ceremony_id    = ( !is_tag() && !is_archive() && !is_search()) ? $ceremony_id : false;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );
if ($ceremony_meta) {
	$ceremony_title_bar_padding = isset($ceremony_meta['title_area_spacings']) ? $ceremony_meta['title_area_spacings'] : '';
  $ceremony_sub_title = isset($ceremony_meta['page_custom_sub_title']) ? $ceremony_meta['page_custom_sub_title'] : '';
  $ceremony_banner_align = isset($ceremony_meta['title_area_align']) ? $ceremony_meta['title_area_align'] : '';
  $ceremony_bg_overlay_color = isset($ceremony_meta['titlebar_bg_overlay_color']) ? $ceremony_meta['titlebar_bg_overlay_color'] : '';
} else {
	$ceremony_title_bar_padding = '';
  $ceremony_sub_title = '';
  $ceremony_banner_align = cs_get_option('title_area_align');
  $ceremony_bg_overlay_color = cs_get_option('titlebar_bg_overlay_color');
}

// Title Align
if ($ceremony_meta && $ceremony_banner_align != 'theme-options') {
  $ceremony_banner_align = isset($ceremony_meta['title_area_align']) ? $ceremony_meta['title_area_align'] : '';
} else {
  $ceremony_banner_align = cs_get_option('title_area_align');
}

if ($ceremony_banner_align === 'text-left') {
  $banner_align_class = 'banner-left';
} elseif ($ceremony_banner_align === 'text-right') {
  $banner_align_class = 'banner-right';
} else {
  $banner_align_class = '';
}
// Padding - Theme Options
if ($ceremony_title_bar_padding && $ceremony_title_bar_padding !== 'padding-default') {
	$ceremony_title_top_spacings = isset($ceremony_meta['title_top_spacings']) ? $ceremony_meta['title_top_spacings'] : '';
	$ceremony_title_bottom_spacings = isset($ceremony_meta['title_bottom_spacings']) ? $ceremony_meta['title_bottom_spacings'] : '';
	if ($ceremony_title_bar_padding === 'padding-custom') {
		$ceremony_title_top_spacings = $ceremony_title_top_spacings ? 'padding-top:'. ceremony_check_px($ceremony_title_top_spacings) .';' : '';
		$ceremony_title_bottom_spacings = $ceremony_title_bottom_spacings ? 'padding-bottom:'. ceremony_check_px($ceremony_title_bottom_spacings) .';' : '';
		$ceremony_custom_padding = $ceremony_title_top_spacings . $ceremony_title_bottom_spacings;
	} else {
		$ceremony_custom_padding = '';
	}
} else {
	$ceremony_title_bar_padding = cs_get_option('title_bar_padding');
	$ceremony_titlebar_top_padding = cs_get_option('titlebar_top_padding');
	$ceremony_titlebar_bottom_padding = cs_get_option('titlebar_bottom_padding');
	if ($ceremony_title_bar_padding === 'padding-custom') {
		$ceremony_titlebar_top_padding = $ceremony_titlebar_top_padding ? 'padding-top:'. ceremony_check_px($ceremony_titlebar_top_padding) .';' : '';
		$ceremony_titlebar_bottom_padding = $ceremony_titlebar_bottom_padding ? 'padding-bottom:'. ceremony_check_px($ceremony_titlebar_bottom_padding) .';' : '';
		$ceremony_custom_padding = $ceremony_titlebar_top_padding . $ceremony_titlebar_bottom_padding;
	} else {
		$ceremony_custom_padding = '';
	}
}

// Banner Type - Meta Box
if ($ceremony_meta) {
	$ceremony_banner_type = $ceremony_meta['banner_type'];
} else { $ceremony_banner_type = ''; }

// Overlay Color
if ($ceremony_meta && $ceremony_bg_overlay_color) {
  $ceremony_bg_overlay_color = $ceremony_meta['titlebar_bg_overlay_color'];
} else {
  $ceremony_bg_overlay_color = cs_get_option('titlebar_bg_overlay_color');
}

if ($ceremony_bg_overlay_color) {
	$ceremony_overlay_color = 'style=background-color:'.$ceremony_bg_overlay_color;
} else {
	$ceremony_overlay_color = '';
}

// Background - Type
if( $ceremony_meta && isset( $ceremony_meta['title_area_bg'] ) ) {
  extract( $ceremony_meta['title_area_bg'] );
  if ($image) {
    $ceremony_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . $image . ');' : '';
    $ceremony_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . $repeat . ';' : '';
    $ceremony_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . $position . ';' : '';
    $ceremony_background_size        = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . $size . ';' : '';
    $ceremony_background_attachment  = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . $attachment . ';' : '';
    $ceremony_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . $color . ';' : '';
    $ceremony_background_style       = ( ! empty( $image ) ) ? $ceremony_background_image . $ceremony_background_repeat . $ceremony_background_position . $ceremony_background_size . $ceremony_background_attachment : '';
    $ceremony_title_bg = ( ! empty( $ceremony_background_style ) || ! empty( $ceremony_background_color ) ) ? $ceremony_background_style . $ceremony_background_color : '';
  } else {
  	$ceremony_title_bgg = cs_get_option('titlebar_bg');
    if ($ceremony_title_bgg) {
      extract( $ceremony_title_bgg );
      $ceremony_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . $image . ');' : '';
      $ceremony_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . $repeat . ';' : '';
      $ceremony_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . $position . ';' : '';
      $ceremony_background_size        = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . $size . ';' : '';
      $ceremony_background_attachment  = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . $attachment . ';' : '';
      $ceremony_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . $color . ';' : '';
      $ceremony_background_style       = ( ! empty( $image ) ) ? $ceremony_background_image . $ceremony_background_repeat . $ceremony_background_position . $ceremony_background_size . $ceremony_background_attachment : '';
      $ceremony_title_bg = ( ! empty( $ceremony_background_style ) || ! empty( $ceremony_background_color ) ) ? $ceremony_background_style . $ceremony_background_color : '';
     } else {
      $ceremony_title_bg = '';
     }
  }

} else {
  $ceremony_title_bgg = cs_get_option('titlebar_bg');
  if ($ceremony_title_bgg) {
    extract( $ceremony_title_bgg );
    $ceremony_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . $image . ');' : '';
    $ceremony_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . $repeat . ';' : '';
    $ceremony_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . $position . ';' : '';
    $ceremony_background_size        = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . $size . ';' : '';
    $ceremony_background_attachment  = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . $attachment . ';' : '';
    $ceremony_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . $color . ';' : '';
    $ceremony_background_style       = ( ! empty( $image ) ) ? $ceremony_background_image . $ceremony_background_repeat . $ceremony_background_position . $ceremony_background_size . $ceremony_background_attachment : '';

    $ceremony_title_bg = ( ! empty( $ceremony_background_style ) || ! empty( $ceremony_background_color ) ) ? $ceremony_background_style . $ceremony_background_color : '';
  } else {
    $ceremony_title_bg = '';
  }
}

if ($ceremony_sub_title) {
  $sub_title_class = 'having-subtitle';
} else {
  $sub_title_class = 'dont-have-subtitle';
}


if($ceremony_banner_type === 'hide-title-area') { // Hide Title Area
} elseif($ceremony_meta && $ceremony_banner_type === 'revolution-slider') {
   echo do_shortcode($ceremony_meta['page_revslider']); // CeremonyWP
} elseif($ceremony_meta && $ceremony_banner_type === 'elementor-templates') {
   echo do_shortcode('[ceremony_elementor_template id="'.$ceremony_meta['ele_templates'].'"]'); // CeremonyWP
} else {
  if( !is_404() ) { ?>
<!-- Crmny Page Title, Crmny Parallax -->
<section class="crmny-page-title crmny-parallax <?php echo esc_attr($ceremony_title_bar_padding); ?> <?php echo esc_attr($banner_align_class); ?><?php echo esc_attr($sub_title_class); ?>" style="<?php echo esc_attr($ceremony_custom_padding . $ceremony_title_bg); ?>">
  <div class="parallax-overlay" <?php echo esc_attr($ceremony_overlay_color); ?>></div>
  <div class="page-title-wrap">
    <div class="crmny-table-wrap">
      <div class="crmny-align-wrap">
        <div class="container">
        <?php if (class_exists( 'Tribe__Events__Main' ) && ceremony_is_post_type('tribe_events')) { ?>
          <h2 class="page-title"><?php echo esc_html(ceremony_title_area()); ?></h2>
        <?php } else { ?>
          <h1 class="page-title"><?php echo esc_html(ceremony_title_area()); ?></h1>
        <?php } ?>
          <p><?php echo esc_html($ceremony_sub_title); ?></p>
        </div>
      </div>
    </div>
  </div>
</section>
<?php } // !is_404()
}
