<?php
/*
 * Admin Styles for Sensation Theme
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

$ceremony_gallery_style = cs_get_option('gallery_style');
$ceremony_gallery_column = cs_get_option('gallery_column');
$details_txt = cs_get_option('gallery_details_text');
$details_txt = $details_txt ? $details_txt : esc_html__('Details','ceremony');
// Category
global $post;
$ceremony_terms = wp_get_post_terms($post->ID,'gallery_category');
foreach ($ceremony_terms as $term) {
  $ceremony_cat_class = $term->slug.'-item ';
}
$ceremony_count = count($ceremony_terms);
$i=0;
$ceremony_cat_class = '';
if ($ceremony_count > 0) {
  foreach ($ceremony_terms as $term) {
    $i++;
    $ceremony_cat_class .= $term->slug .'-item ';
    if ($ceremony_count != $i) {
      $ceremony_cat_class .= '';
    } else {
      $ceremony_cat_class .= '';
    }
  }
}

// Featured Image
$ceremony_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$ceremony_large_image = $ceremony_large_image[0];
$gallery_options = get_post_meta( get_the_ID(), 'gallery_type', true );
if($gallery_options) {
  $masonry_img_width = $gallery_options['gallery_img_width'];
  if($gallery_options['featured_image_masonry']) {
    $masonry_featured_image = wp_get_attachment_image_url( $gallery_options['featured_image_masonry'], 'fullsize', true );
  } else {
    $masonry_featured_image = $ceremony_large_image;
  }
} else {
  $masonry_img_width = '';
  $masonry_featured_image = $ceremony_large_image;
}

if ($ceremony_gallery_style === 'three') {
  if(class_exists('Aq_Resize')) {
    $ceremony_gallery_img = aq_resize( $ceremony_large_image, '570', '510', true );
  } else {$ceremony_gallery_img = $ceremony_large_image;}
  $ceremony_featured_img = ( $ceremony_gallery_img ) ? $ceremony_gallery_img : CEREMONY_IMAGES . '/580x420.png';
} elseif ($ceremony_gallery_style === 'two') {
  $ceremony_gallery_img = $masonry_featured_image;
} elseif($ceremony_gallery_style === 'four') {
  $ceremony_gallery_img = $ceremony_large_image;
} else {
  if(class_exists('Aq_Resize')) {
    $ceremony_gallery_img = aq_resize( $ceremony_large_image, '446', '367', true );
  } else {$ceremony_gallery_img = $ceremony_large_image;}
  $ceremony_featured_img = ( $ceremony_gallery_img ) ? $ceremony_gallery_img : CEREMONY_IMAGES . '/580x420.png';
}

if ($ceremony_gallery_style === 'four') { ?>
 <div class="masonry-item">
  <div class="gallery-item">
    <div class="crmny-image">
      <img src="<?php echo esc_url($ceremony_large_image); ?>" alt="<?php the_title_attribute(); ?>">
      <div class="gallery-info">
        <div class="crmny-table-wrap">
          <div class="crmny-align-wrap">
            <div class="crmny-popup"><a href="<?php echo esc_url($ceremony_large_image); ?>"><span class="popup-separator"></span></a></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<?php } elseif ($ceremony_gallery_style === 'three') { ?>
<div class="masonry-item one-half <?php echo esc_attr($ceremony_cat_class); ?>" data-category="<?php echo esc_attr($ceremony_cat_class); ?>">
  <div class="gallery-item">
    <div class="crmny-image">
      <img src="<?php echo esc_url($ceremony_featured_img); ?>" alt="<?php the_title_attribute(); ?>">
      <div class="gallery-info">
        <div class="crmny-table-wrap">
          <div class="crmny-align-wrap">
            <div class="crmny-icon crmny-popup"><a href="<?php echo esc_url($ceremony_large_image); ?>"><i class="fa fa-search" aria-hidden="true"></i></a></div>
          </div>
        </div>
      </div>
    </div>
    <h4 class="gallery-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title_attribute(); ?></a></h4>
  </div>
</div>
<?php } elseif ($ceremony_gallery_style === 'two') { ?>
<div class="masonry-item <?php echo esc_attr($ceremony_cat_class . $masonry_img_width); ?>" data-category="<?php echo esc_attr($ceremony_cat_class); ?>">
  <div class="gallery-item">
    <div class="crmny-image">
      <img src="<?php echo esc_url($ceremony_large_image); ?>" alt="<?php the_title_attribute(); ?>">
      <div class="gallery-info">
        <div class="crmny-table-wrap">
          <div class="crmny-align-wrap">
            <div class="crmny-popup"><a href="<?php echo esc_url($ceremony_large_image); ?>"><span class="popup-separator"></span></a></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<?php } else { ?>
<div class="masonry-item <?php echo esc_attr($ceremony_cat_class); ?>" data-category="<?php echo esc_attr($ceremony_cat_class); ?>">
  <div class="gallery-item">
    <div class="crmny-image">
      <img src="<?php echo esc_url($ceremony_featured_img); ?>" alt="<?php the_title_attribute(); ?>">
      <div class="gallery-info">
        <div class="crmny-table-wrap">
          <div class="crmny-align-wrap">
            <div class="crmny-icon crmny-popup"><a href="<?php echo esc_url($ceremony_large_image); ?>"><i class="fa fa-search" aria-hidden="true"></i></a></div>
            <h4 class="gallery-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title_attribute(); ?></a></h4>
            <a href="<?php echo esc_url( get_permalink() ); ?>" class="gallery-detail-link"><?php echo esc_html($details_txt); ?></a>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<?php }
