<?php
/**
 * Single Post.
 */
// Metabox
global $post;
$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_meta  = get_post_meta( $ceremony_id, 'post_type_metabox', true );
if($ceremony_meta){
	$audio_post = $ceremony_meta['audio_post'];
	$video_post = $ceremony_meta['video_post'];
	$gallery_post_format = $ceremony_meta['gallery_post_format'];
} else {
	$audio_post = '';
	$video_post = '';
	$gallery_post_format = '';
}

$ceremony_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$ceremony_large_image = $ceremony_large_image[0];
$ceremony_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$date_format = cs_get_option('blog_date_format');
$date_format_actual = $date_format ? $date_format : '';
// Single Theme Option
$ceremony_single_featured_image = cs_get_option('single_featured_image');
$ceremony_single_tag_list = cs_get_option('single_tag_list');
$ceremony_single_category_list = cs_get_option('single_category_list');
$ceremony_single_share_option = cs_get_option('single_share_option');
$ceremony_single_author_info = cs_get_option('single_author_info');
$theme_blog_home = cs_get_option('theme_blog_home');
if($theme_blog_home) {
	$blog_link = $theme_blog_home;
} else {
	$blog_link = get_permalink( get_option( 'page_for_posts' ) );
}
?>
<div class="blog-detail-wrap">
	<div id="post-<?php the_ID(); ?>" <?php post_class('crmny-blog-post'); ?>>
		<?php
		// CeremonyWP - !$ceremony_single_featured_image
		if($ceremony_single_featured_image) {
			if(get_post_format() === 'gallery')  {
			if($gallery_post_format) { ?>
			<div class="owl-carousel" data-items="1" data-margin="0" data-loop="true" data-nav="true" data-dots="false" data-autoplay="true" data-auto-height="true">
				<?php
				$ids = explode( ',', $gallery_post_format );
				foreach ( $ids as $id ) {
				  $attachment = wp_get_attachment_image_src( $id, 'fullsize' );
				  $alt = get_post_meta($id, '_wp_attachment_image_alt', true);
				  $g_img = $attachment[0];
			      $post_img = $g_img;
				  echo '<div class="item"><div class="crmny-image"><img src="'. esc_url($post_img) .'" alt="'. esc_attr($alt) .'" /></div></div>';
				}	?>
	    </div>
		<?php } elseif ($ceremony_large_image) { ?>
		  <div class="blog-image">
		    <img src="<?php echo esc_url($ceremony_large_image); ?>" alt="<?php the_title_attribute(); ?>">
		  </div>
			<?php } } elseif (get_post_format() === 'audio') { if ($audio_post) { ?>
			<div class="crmny-iframe">
	      <?php echo $audio_post; // CeremonyWP ?>
	    </div>
		<?php } elseif ($ceremony_large_image) { ?>
		  <div class="blog-image">
		    <img src="<?php echo esc_url($ceremony_large_image); ?>" alt="<?php the_title_attribute(); ?>">
		  </div>
			<?php } }	elseif (get_post_format() === 'video') {
				if ($video_post) { ?>
					<div class="crmny-iframe">
				    <?php echo $video_post; // CeremonyWP ?>
				  </div>
				<?php } else {
					if ($ceremony_large_image) { ?>
					  <div class="blog-image">
					    <img src="<?php echo esc_url($ceremony_large_image); ?>" alt="<?php the_title_attribute(); ?>">
					  </div>
					<?php }
				}
			} else {
			if ($ceremony_large_image) { ?>
		  <div class="blog-image">
		    <img src="<?php echo esc_url($ceremony_large_image); ?>" alt="<?php the_title_attribute(); ?>">
		  </div>
			<?php }
		 }
		} //CeremonyWP
		?>
		<div class="blog-info">
		  <ul class="blog-item-metas">
		      <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date($date_format_actual)); ?></li>
		      <li class="blog-author"><i class="fa fa-user" aria-hidden="true"></i> <?php esc_html_e( 'By ', 'ceremony' ); ?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo esc_html(get_the_author()); ?></a></li>
		      <?php if (get_comments_number()!=0) { ?>
		      <li><i class="fa fa-commenting-o" aria-hidden="true"></i> <?php comments_popup_link( esc_html__( '0', 'ceremony' ), esc_html__( '1', 'ceremony' ), esc_html__( '%', 'ceremony' ), '', '' ); ?></li>
		      <?php }
		      // CeremonyWP $ceremony_single_category_list
		      if ($ceremony_single_category_list) {
			      if (has_category()){ ?>
			      <li><i class="fa fa-th" aria-hidden="true"></i> <?php echo the_category(', '); ?></li>
			      <?php }
		    	}	//CeremonyWP
		      ?>
	    </ul>
		  <!-- Content -->
			<?php
			the_content();
			echo ceremony_wp_link_pages();
			?>
			<!-- Content -->
		</div>
	</div>
</div>
<div class="crmny-blog-meta">
  <div class="row align-items-center">
    <div class="col-sm-6">
      <?php
				$tag_list = get_the_tags();
				$cat_list = get_the_category();
				if($tag_list && $cat_list) {
					$meta_class = ' hav-both-meta';
				} else {
					$meta_class = ' dhav-both-meta';
				}
				// CeremonyWP $ceremony_single_tag_list
	      if ($ceremony_single_tag_list) {
				  if($tag_list) { ?>
			    <div class="crmny-blog-tags">
			      <?php echo the_tags('', ' ', ''); ?>
			    </div>
			    <?php }
			  } //CeremonyWP
			?>
    </div>
    <div class="col-sm-6 textright">
      <?php
			// CeremonyWP $ceremony_single_share_option
      if ($ceremony_single_share_option) {
				if ( function_exists( 'ceremony_wp_share_option' ) ) {
					echo ceremony_wp_share_option();
				}
			} //CeremonyWP ?>
    </div>
  </div>
</div>
<?php
$older_post = cs_get_option('older_post');
$newer_post = cs_get_option('newer_post');
$older_post = $older_post ? $older_post : esc_html__( 'Previous', 'ceremony' );
$newer_post = $newer_post ? $newer_post : esc_html__( 'Next', 'ceremony' );
$prev_post = get_adjacent_post(false, '', true);
$next_post = get_adjacent_post(false, '', false);
if($prev_post || $next_post) { ?>
<div class="gallery-controls">
  <div class="row align-items-center">
  <?php echo'<div class="col-sm-5 col-4">';
  if($prev_post) {
  	$riffel_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id($prev_post->ID), 'thumbnail', false, '' );
    $riffel_large_image = $riffel_large_image[0];

      echo'<a href="' . esc_url(get_permalink($prev_post->ID)) . '" class="gallery-control-link">';
        echo'<span class="control-link-info">
          <i class="fa fa-angle-double-left" aria-hidden="true"></i> <span class="control-link">'.$older_post.'</span>
          <span class="control-link-title">' . $prev_post->post_title. '</span>
        </span>
      </a>';
   }
   echo '</div>';
    echo '<div class="col-sm-2 col-4 textcenter">
      <a href="'.esc_url($blog_link).'" class="grid-view-link">
        <span class="grid-view-square"></span>
        <span class="grid-view-square"></span>
      </a>
    </div><div class="col-sm-5 col-4 textright">';
  if($next_post) {
  	$riffel_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id($next_post->ID), 'thumbnail', false, '' );
    $riffel_large_image = $riffel_large_image[0];
    echo'<a href="'. esc_url(get_permalink($next_post->ID)) .'" class="gallery-control-link">
        <span class="control-link-info">
          <span class="control-link">'.esc_html($newer_post).'</span> <i class="fa fa-angle-double-right" aria-hidden="true"></i>
          <span class="control-link-title">'.$next_post->post_title.'</span>
        </span>';
      echo'</a>';
  }
  echo '</div>';
  ?>
  </div>
</div>
<?php }
// CeremonyWP $ceremony_single_author_info
if ($ceremony_single_author_info) {
	echo ceremony_author_info();
}
