<?php
/**
 * Template part for displaying posts.
 */
// Metabox
global $post;
$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_meta  = get_post_meta( $ceremony_id, 'post_type_metabox', true );
if($ceremony_meta){
	$audio_post = $ceremony_meta['audio_post'];
	$video_post = $ceremony_meta['video_post'];
	$gallery_post_format = $ceremony_meta['gallery_post_format'];
} else {
	$audio_post = '';
	$video_post = '';
	$gallery_post_format = '';
}
$author_by_text = cs_get_option('author_by_text');
$author_by_text = $author_by_text ? $author_by_text : esc_html__('By ','ceremony');
$ceremony_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$ceremony_large_image = $ceremony_large_image[0];
$ceremony_read_more_text = cs_get_option('read_more_text');
$ceremony_read_text = $ceremony_read_more_text ? $ceremony_read_more_text : esc_html__( 'Read More', 'ceremony' );
$ceremony_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$ceremony_blog_style = cs_get_option('blog_listing_style');
$ceremony_metas_hide = (array) cs_get_option( 'theme_metas_hide' );
$ceremony_blog_columns = cs_get_option('blog_listing_columns');
$date_format = cs_get_option('blog_date_format');
$whole_img_link = cs_get_option('whole_img_link');
$date_format_actual = $date_format ? $date_format : '';
// Columns
if ($ceremony_blog_columns === 'col-3') {
	$ceremony_blog_col_class = 'col-lg-4 col-md-6';
} else {
	$ceremony_blog_col_class = 'col-lg-6 col-md-6';
}

if ($ceremony_blog_style === 'style-two' ) {
	if ($ceremony_blog_columns === 'col-3') {
      if(class_exists('Aq_Resize')) {
        $blog_img = aq_resize( $ceremony_large_image, '370', '280', true );
      } else {$blog_img = $ceremony_large_image;}
      $featured_img = ( $blog_img ) ? $blog_img : CEREMONY_IMAGES . '/370x310.png';
	} else {
  	if(class_exists('Aq_Resize')) {
			$blog_img = aq_resize( $ceremony_large_image, '570', '400', true );
    } else {$blog_img = $ceremony_large_image;}
		$featured_img = ( $blog_img ) ? $blog_img : CEREMONY_IMAGES . '/600x420.png';
	}
} else {
	$blog_img = $ceremony_large_image;
	$featured_img = ( $blog_img ) ? $blog_img : $ceremony_large_image;
}

if(is_sticky()) {
  $sticky_class = ' sticky';
} else {
  $sticky_class = '';
}

if ($ceremony_blog_style === 'style-two' ) {
?>
<div class="blog-single-item blog-style-grid <?php echo esc_attr($ceremony_blog_col_class.$sticky_class); ?>">
  <div id="post-<?php the_ID(); ?>" <?php post_class('blog-item crmny-item'); ?>>
  	<?php if ($ceremony_large_image) { ?>
	    <div class="crmny-image">
	      <img src="<?php echo esc_url($featured_img); ?>" alt="<?php the_title_attribute(); ?>">
	      <?php if(!$whole_img_link){ ?>
	      <a href="<?php echo esc_url( get_permalink() ); ?>">
	      <?php } ?>
	      <div class="blog-overlay">
	        <div class="crmny-table-wrap">
	          <div class="crmny-align-wrap">
	            <div class="overlay-dots">
		            <?php if($whole_img_link){ ?>
					      	<a href="<?php echo esc_url( get_permalink() ); ?>">
					      <?php } ?>
		            <span></span>
		            <?php if($whole_img_link){ ?>
					      	</a>
					      <?php } ?>
	            </div>
	          </div>
	        </div>
	      </div>
	      <?php if(!$whole_img_link){ ?>
	      </a>
	      <?php } ?>
	    </div>
    <?php } ?>
    <div class="blog-info">
      <h4 class="blog-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title_attribute(); ?></a></h4>
      <ul class="blog-item-metas">
		    <?php if ( !in_array( 'date', $ceremony_metas_hide ) ) { ?>
		      <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date($date_format_actual)); ?></li>
		    <?php } if ( !in_array( 'author', $ceremony_metas_hide ) ) { ?>
		      <li class="blog-author"><i class="fa fa-user" aria-hidden="true"></i> <?php echo esc_html($author_by_text); ?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"> <?php echo esc_html(get_the_author()); ?></a></li>
		    <?php } if ( !in_array( 'comments', $ceremony_metas_hide ) ) {
		    	if (get_comments_number()!=0) { ?>
		      <li><i class="fa fa-commenting-o" aria-hidden="true"></i> <?php comments_popup_link( esc_html__( '0', 'ceremony' ), esc_html__( '1', 'ceremony' ), esc_html__( '%', 'ceremony' ), '', '' ); ?></li>
		    <?php } } if ( !in_array( 'category', $ceremony_metas_hide ) ) {
		    	if (has_category()){
		    	?> <li><i class="fa fa-th" aria-hidden="true"></i> <?php echo the_category(', '); ?></li>
	    	<?php } } ?>
	    </ul>
    </div>
  </div>
</div>
<?php } else { if(get_post_format() === 'quote'){ ?>
<div id="post-<?php the_ID(); ?>" <?php post_class('blog-item blog-single-item'); ?>>
    <div class="blog-link">
      <div class="blog-info">
        <h3 class="blog-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title_attribute(); ?></a></h3>
        <ul class="blog-item-metas">
			    <?php if ( !in_array( 'date', $ceremony_metas_hide ) ) { ?>
			      <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date($date_format_actual)); ?></li>
			    <?php } if ( !in_array( 'author', $ceremony_metas_hide ) ) { ?>
			      <li class="blog-author"><i class="fa fa-user" aria-hidden="true"></i> <?php echo esc_html($author_by_text); ?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"> <?php echo esc_html(get_the_author()); ?></a></li>
			    <?php } if ( !in_array( 'comments', $ceremony_metas_hide ) ) {
			    	if (get_comments_number()!=0) { ?>
			      <li><i class="fa fa-commenting-o" aria-hidden="true"></i> <?php comments_popup_link( esc_html__( '0', 'ceremony' ), esc_html__( '1', 'ceremony' ), esc_html__( '%', 'ceremony' ), '', '' ); ?></li>
			    <?php } } if ( !in_array( 'category', $ceremony_metas_hide ) ) {
			    	if (has_category()){
			    	?> <li><i class="fa fa-th" aria-hidden="true"></i> <?php echo the_category(', '); ?></li>
		    	<?php } } ?>
		    </ul>
      </div>
    </div>
  </div>
<?php } else { ?>
<div id="post-<?php the_ID(); ?>" <?php post_class('blog-item blog-single-item'.$sticky_class); ?>>
	<?php if (get_post_format() === 'video') { if ($video_post) { ?>
	<div class="crmny-iframe">
    <?php echo $video_post; // CeremonyWP ?>
  </div>
	<?php } elseif ($ceremony_large_image) {
		if(!$whole_img_link){ ?>
		<a href="<?php echo esc_url( get_permalink() ); ?>">
		<?php } ?>
	  <div class="crmny-image">
	    <img src="<?php echo esc_url($featured_img); ?>" alt="<?php the_title_attribute(); ?>">
	  </div>
		<?php if(!$whole_img_link){ ?>
			</a>
		<?php } }
	} elseif (get_post_format() === 'audio') { if ($audio_post) { ?>
			<div class="crmny-iframe">
	      <?php echo $audio_post; // CeremonyWP ?>
	    </div>
		<?php } elseif ($ceremony_large_image) {
		if(!$whole_img_link){ ?>
			<a href="<?php echo esc_url( get_permalink() ); ?>">
		<?php } ?>
	  <div class="crmny-image">
	    <img src="<?php echo esc_url($featured_img); ?>" alt="<?php the_title_attribute(); ?>">
	  </div>
		<?php if(!$whole_img_link){ ?>
			</a>
		<?php }
		} } elseif (get_post_format() === 'gallery') {
			$ids = explode( ',', $gallery_post_format );
			if($gallery_post_format){ ?>
				<div class="owl-carousel" data-items="1" data-margin="0" data-loop="true" data-nav="true" data-dots="false" data-autoplay="true" data-auto-height="true">
					<?php
					foreach ( $ids as $id ) {
					  $attachment = wp_get_attachment_image_src( $id, 'fullsize' );
					  $alt = get_post_meta($id, '_wp_attachment_image_alt', true);
					  $g_img = $attachment[0];
				    $post_img = $g_img;
					  echo '<div class="item"><div class="crmny-image"><img src="'. esc_url($post_img) .'" alt="'. esc_attr($alt) .'" /></div></div>';
					}	?>
			  </div>
		<?php } else {
			if ($ceremony_large_image) {
				if(!$whole_img_link){ ?>
					<a href="<?php echo esc_url( get_permalink() ); ?>">
				<?php } ?>
			  <div class="crmny-image">
			    <img src="<?php echo esc_url($featured_img); ?>" alt="<?php the_title_attribute(); ?>">
			  </div>
			  <?php if(!$whole_img_link){ ?>
					</a>
				<?php } }
		}
	} else {
		if ($ceremony_large_image) {
		if(!$whole_img_link){ ?>
			<a href="<?php echo esc_url( get_permalink() ); ?>">
		<?php } ?>
	  <div class="crmny-image">
	    <img src="<?php echo esc_url($featured_img); ?>" alt="<?php the_title_attribute(); ?>">
	  </div>
	  <?php if(!$whole_img_link){ ?>
			</a>
		<?php } } } ?>
  <div class="blog-info">
    <h3 class="blog-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title_attribute(); ?></a></h3>
    <ul class="blog-item-metas">
    <?php if ( !in_array( 'date', $ceremony_metas_hide ) ) { ?>
      <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date($date_format_actual)); ?></li>
    <?php } if ( !in_array( 'author', $ceremony_metas_hide ) ) { ?>
      <li class="blog-author"><i class="fa fa-user" aria-hidden="true"></i> <?php echo esc_html($author_by_text); ?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"> <?php echo esc_html(get_the_author()); ?></a></li>
    <?php } if ( !in_array( 'comments', $ceremony_metas_hide ) ) {
    	if (get_comments_number()!=0) { ?>
      <li><i class="fa fa-commenting-o" aria-hidden="true"></i> <?php comments_popup_link( esc_html__( '0', 'ceremony' ), esc_html__( '1', 'ceremony' ), esc_html__( '%', 'ceremony' ), '', '' ); ?></li>
    <?php } } if ( !in_array( 'category', $ceremony_metas_hide ) ) {
    	if (has_category()){
    	?> <li><i class="fa fa-th" aria-hidden="true"></i> <?php echo the_category(', '); ?></li>
  	<?php } } ?>
    </ul>
   	<?php
			$blog_excerpt = cs_get_option('theme_blog_excerpt');
			if ($blog_excerpt) {
				$blog_excerpt = $blog_excerpt;
			} else {
				$blog_excerpt = '55';
			}
			echo '<div class="crmny-blog-excerpt">';
			ceremony_excerpt($blog_excerpt);
			echo '</div>';
			echo ceremony_wp_link_pages();
		?>
		<div class="crmny-link crmny-read-more"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html($ceremony_read_text); ?><i class="fa fa-angle-right" aria-hidden="true"></i></a></div>
  </div>
</div>
<!-- #post-## -->
<?php } }
