<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

// Metabox
$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );

if ($ceremony_meta) {
	$ceremony_content_padding = $ceremony_meta['content_spacings'];
} else { $ceremony_content_padding = ''; }
// Padding - Metabox
if ($ceremony_content_padding && $ceremony_content_padding !== 'padding-none') {
	$ceremony_content_top_spacings = isset($ceremony_meta['content_top_spacings']) ? $ceremony_meta['content_top_spacings'] : '';
	$ceremony_content_bottom_spacings = isset($ceremony_meta['content_bottom_spacings']) ? $ceremony_meta['content_bottom_spacings'] : '';
	if ($ceremony_content_padding === 'padding-custom') {
		$ceremony_content_top_spacings = $ceremony_content_top_spacings ? 'padding-top:'. ceremony_check_px($ceremony_content_top_spacings) .';' : '';
		$ceremony_content_bottom_spacings = $ceremony_content_bottom_spacings ? 'padding-bottom:'. ceremony_check_px($ceremony_content_bottom_spacings) .';' : '';
		$ceremony_custom_padding = $ceremony_content_top_spacings . $ceremony_content_bottom_spacings;
	} else {
		$ceremony_custom_padding = '';
	}
} else {
	$ceremony_custom_padding = '';
}

// Page Layout Options
if ($ceremony_meta) {
	$ceremony_page_layout = isset($ceremony_meta['page_layout']) ? $ceremony_meta['page_layout'] : '';
	if($ceremony_page_layout === 'left-sidebar' || $ceremony_page_layout === 'right-sidebar') {
		$ceremony_column_class = 'crmny-primary primary-spacer-one';
		$ceremony_layout_class = 'container';
	} else {
		$ceremony_column_class = 'col-md-12';
		$ceremony_layout_class = 'container';
	}

	// Page Layout Class
	if ($ceremony_page_layout === 'left-sidebar') {
		$ceremony_sidebar_class = 'left-sidebar';
	} elseif ($ceremony_page_layout === 'right-sidebar') {
		$ceremony_sidebar_class = 'right-sidebar';
	} else {
		$ceremony_sidebar_class = 'full-width';
	}
} else {
	$ceremony_page_layout = '';
	$ceremony_column_class = 'col-md-12';
	$ceremony_layout_class = 'container';
	$ceremony_sidebar_class = 'crmny-full-width';
}

// Header Style
$ceremony_header_design_actual  = cs_get_option('select_header_design');
get_header(); ?>
	<div class="crmny-mid-wrap <?php echo esc_attr($ceremony_content_padding .' '. $ceremony_sidebar_class); ?>" style="<?php echo esc_attr($ceremony_custom_padding); ?>">
		<div class="<?php echo esc_attr($ceremony_layout_class); ?>">
			<div class="row">
				<?php
				// Left Sidebar
				if($ceremony_page_layout === 'left-sidebar') {
		   		get_sidebar();
				}
				?>
				<div class="crmny-content-side <?php echo esc_attr($ceremony_column_class); ?>">
					<?php
					while ( have_posts() ) : the_post();
						the_content();
						echo ceremony_wp_link_pages();
						// If comments are open or we have at least one comment, load up the comment template.
						if (comments_open() || get_comments_number()) :
							comments_template();
						endif;
					endwhile;
					?>
				</div><!-- Content Area -->
				<?php
				// Right Sidebar
				if($ceremony_page_layout === 'right-sidebar') {
					get_sidebar();
				}
				?>
			</div>
		</div>
	</div>
<?php
get_footer();
