<?php
/*
 * The template for displaying archive pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();
$search_style_type = cs_get_option('search_type');
if($search_style_type === 'post_type_search'){
  $get_post_type = $_GET['post_type'];
} else {
  $get_post_type = '';
}

  $search_style_type = cs_get_option('search_type');
  if($search_style_type === 'post_type_search'){
    // Theme Options
    $ceremony_sidebar_position = cs_get_option('blog_sidebar_position');
    $ceremony_blog_style = cs_get_option('blog_listing_style');
    $ceremony_pagi_style = cs_get_option('blog_pagination_style');
    $ceremony_load_more = cs_get_option('blog_load_more_btn_txt');
    $ceremony_blog_widget = cs_get_option('blog_widget');
    $load_more_btn_txt = $ceremony_load_more ? $ceremony_load_more : esc_html__( 'Load More', 'ceremony' );
    ?>
    <div class="crmny-search-result-page">
    <?php
    // Metabox
    $ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
    $ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
    $ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
    $ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );

    // Pagination
    global $paged;
    if( get_query_var( 'paged' ) )
      $my_page = get_query_var( 'paged' );
    else {
      if( get_query_var( 'page' ) )
        $my_page = get_query_var( 'page' );
      else
        $my_page = 1;
      set_query_var( 'paged', $my_page );
      $paged = $my_page;
    }

    $search_query['s'] =  $_GET['s'];
    $search_query['paged'] = $my_page;
    $search_query['post_type'] = array('post');
    $search_query['post_status'] = array('publish','inherit');
    $ceremony_post = new WP_Query( $search_query );

    // Theme Options
    $ceremony_sidebar_position = cs_get_option('blog_sidebar_position');
    $ceremony_blog_widget = cs_get_option('blog_widget');
    $ceremony_blog_style = cs_get_option('blog_listing_style');

    if ($ceremony_blog_widget) {
      $widget_select = $ceremony_blog_widget;
    } else {
      if (is_active_sidebar('sidebar-1')) {
        $widget_select = 'sidebar-1';
      } else {
        $widget_select = '';
      }
    }

    // Sidebar Position
    if ($widget_select && is_active_sidebar( $widget_select )) {
      if ($ceremony_sidebar_position === 'sidebar-hide') {
        $layout_class = 'col-md-12';
        $ceremony_sidebar_class = 'hide-sidebar';
      } elseif ($ceremony_sidebar_position === 'sidebar-left') {
        $layout_class = 'crmny-primary';
        $ceremony_sidebar_class = 'left-sidebar';
      } else {
        $layout_class = 'crmny-primary';
        $ceremony_sidebar_class = 'right-sidebar';
      }
    } else {
      $ceremony_sidebar_position = 'sidebar-hide';
      $layout_class = 'col-md-12';
      $ceremony_sidebar_class = 'hide-sidebar';
    }

    if ($ceremony_blog_style === 'style-two' ) {
      $style_cls = ' blog-style-two';
    } else {
      $style_cls = ' blog-style-one default';
    }

    ?>
    <div class="crmny-mid-wrap mid-spacer-two <?php echo esc_attr($ceremony_sidebar_class); ?>">
      <div class="container">
        <div class="row">
        <?php
          if ($ceremony_sidebar_position === 'sidebar-left' && $ceremony_sidebar_position !== 'sidebar-hide') { get_sidebar(); } ?>
          <div class="primary-spacer-one <?php echo esc_attr($layout_class); ?>">
            <div class="blog-detail-wrap crmny-post-load-more <?php echo esc_attr($style_cls); ?>" data-select=".blog-detail-wrap" data-item=".blog-single-item" data-paging="<?php echo esc_attr($ceremony_pagi_style); ?>" data-loading="<?php echo esc_attr($load_more_btn_txt); ?>">
              <?php if ($ceremony_blog_style === 'style-two' ) { ?>
                <div class="row">
              <?php }
                if ( $ceremony_post->have_posts() ) :
                  /* Start the Loop */
                  while ( $ceremony_post->have_posts() ) : $ceremony_post->the_post();
                    get_template_part( 'layouts/post/content' );
                  endwhile;
                else :
                  get_template_part( 'layouts/post/content', 'none' );
                endif;
                if ($ceremony_blog_style === 'style-two' ) { ?>
                  </div>
                <?php } ?>

              <?php
              echo '<div class="crmny-pagenavi">';
                ceremony_paging_nav($ceremony_post->max_num_pages,"",$paged);
              echo '</div>';
                wp_reset_postdata();  // avoid errors further down the page
              ?>
            </div>
          </div>
          <?php if ($ceremony_sidebar_position !== 'sidebar-hide') {  get_sidebar(); } ?>
        </div>
      </div>
    </div>

    <?php
      $testimonial_style = cs_get_option('testimonial_style');
      $testimonial_limit = cs_get_option('testimonial_limit');
      $testimonial_orderby = cs_get_option('testimonial_orderby');
      $testimonial_order = cs_get_option('testimonial_order');
      $testi_title = cs_get_option('testi_title');

      $testi_title = $testi_title ? $testi_title : esc_html__('Client Says', 'ceremony');

      // Testimonial Style
      if ($testimonial_style === 'testimonial_two') {
        $testimonial_style_class = ' testimonials-style-two';
      } else {
        $testimonial_style_class = '';
      }

      // Query Starts Here
      // Pagination
      global $paged;
      if( get_query_var( 'paged' ) )
        $my_page = get_query_var( 'paged' );
      else {
        if( get_query_var( 'page' ) )
          $my_page = get_query_var( 'page' );
        else
          $my_page = 1;
        set_query_var( 'paged', $my_page );
        $paged = $my_page;
      }

      $search_query['s'] =  $_GET['s'];
      $search_query['paged'] = $my_page;
      $search_query['post_type'] = array('testimonial');
      $search_query['post_status'] = array('publish','inherit');
      $ceremony_testi = new WP_Query( $search_query );

    if ($ceremony_testi->have_posts()) : ?>
    <div class="crmny-testimonials <?php echo esc_attr($testimonial_style_class); ?>">
      <div class="container">
        <?php $obj = get_post_type_object( 'testimonial' ); ?>
        <h2 class="crmny-search-post-title"><?php echo esc_html($obj->labels->name); ?></h2>
          <?php if ($testimonial_style === 'testimonial_two') { ?>
            <div class="crmny-masonry">
          <?php } else { ?>
            <div class="section-title-wrap">
              <h2 class="section-title"><?php echo esc_html($testi_title); ?></h2>
            </div>
            <div class="owl-carousel" data-items="3" data-margin="100" data-loop="true" data-nav="true" data-dots="false" data-autoplay="true" data-auto-height="true">
            <?php }
            while ($ceremony_testi->have_posts()) : $ceremony_testi->the_post();

            // Get Meta Box Options - ceremony_framework_active()
            $testimonial_options = get_post_meta( get_the_ID(), 'testimonial_options', true );
            $testi_job = $testimonial_options['testi_position'];
            $testi_link = $testimonial_options['testi_link'];
            $testi_name = $testimonial_options['testi_name'];

            $name_link = $testi_link ? $testi_link : esc_url(get_permalink());

            // Featured Image
            $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
            $ceremony_alt = get_post_meta( get_post_thumbnail_id(get_the_ID()), '_wp_attachment_image_alt', true);
            $large_image = $large_image[0];
            if(class_exists('Aq_Resize')) {
              $testi_img = aq_resize( $large_image, '65', '65', true );
            } else {$testi_img = $large_image;}

            if ($testimonial_style === 'testimonial_two') { // Style Two
            ?>
            <div class="masonry-item">
              <div class="testimonial-item">
                <div class="crmny-icon">
                  <img src="<?php echo esc_url(CEREMONY_IMAGES . '/icons/icon33@1x.png'); ?>" width="27" alt="<?php esc_attr_e('Icon','ceremony'); ?>">
                </div>
                <?php the_content(); ?>
                <?php if($large_image) {
                  echo '<div class="crmny-image"><img src="'. esc_url($testi_img) .'" alt="'.esc_attr($ceremony_alt).'"></div>';
                } ?>
                <h4 class="author-name"><a href="<?php echo esc_url($name_link); ?>"><?php echo esc_html($testi_name); ?></a></h4>
                <h5 class="author-designation"><?php echo esc_html($testi_job); ?></h5>
              </div>
            </div>

            <?php } else { ?>
              <div class="item">
                <div class="testimonial-item">
                  <div class="crmny-icon">
                    <img src="<?php echo esc_url(CEREMONY_IMAGES . '/icons/icon33@1x.png'); ?>" width="27" alt="<?php esc_attr_e('Icon','ceremony'); ?>">
                  </div>
                  <?php the_content(); ?>
                  <?php if($large_image) {
                    echo '<div class="crmny-image"><img src="'. esc_url($testi_img) .'" alt="'.esc_attr($ceremony_alt).'"></div>';
                  } ?>
                  <h4 class="author-name"><a href="<?php echo esc_url($name_link); ?>"><?php echo esc_html($testi_name); ?></a></h4>
                  <h5 class="author-designation"><?php echo esc_html($testi_job); ?></h5>
                </div>
              </div>

            <?php }
            // Style One
            endwhile;
            wp_reset_postdata();
            ?>
          </div>
        </div>
      </div>

    <?php
      endif;

    $ceremony_gallery_style = cs_get_option('gallery_style');
    $ceremony_gallery_column = cs_get_option('gallery_column');
    $gallery_limit = cs_get_option('gallery_limit');
    $ceremony_gallery_show_category = cs_get_option('gallery_show_category');
    $ceremony_gallery_orderby = cs_get_option('gallery_orderby');
    $ceremony_gallery_order = cs_get_option('gallery_order');
    $ceremony_gallery_filter = cs_get_option('gallery_filter');
    $ceremony_gallery_pagination = cs_get_option('gallery_pagination');
    $gallery_fullwidth = cs_get_option('gallery_fullwidth');
    $gallery_space = cs_get_option('gallery_space');
    $direction_hover = cs_get_option('gallery_direction_hover');
    $ceremony_gallery_style = $ceremony_gallery_style ? $ceremony_gallery_style : 'one';
    $ceremony_gallery_column = $ceremony_gallery_column ? $ceremony_gallery_column : '3';
    $gallery_limit = $gallery_limit ? $gallery_limit : '6';
    if ($ceremony_gallery_style === 'two') {
      $style_class = 'gallery-style-two';
    } elseif ($ceremony_gallery_style === 'three') {
      $style_class = 'gallery-style-three gallery-style-four';
    } else {
      $style_class = ' gallery-style-three';
    }
    $gallery_space = $gallery_space ? $gallery_space : '20';
    $all_text = cs_get_option('all_text');
    $all_text_actual = $all_text ? $all_text : esc_html__('All', 'ceremony');

    // Pagination
    global $paged;
    if( get_query_var( 'paged' ) )
      $my_page = get_query_var( 'paged' );
    else {
      if( get_query_var( 'page' ) )
        $my_page = get_query_var( 'page' );
      else
        $my_page = 1;
      set_query_var( 'paged', $my_page );
      $paged = $my_page;
    }

    if(!$gallery_fullwidth){
      $fullwidth_cls = ' container';
    } else {
      $fullwidth_cls = ' gallery-wrap gallery-global-wrap';
    }

    // Direction Hover
    if($direction_hover) {
      $direction_hover_cls = ' direction-hover';
    } else {
      $direction_hover_cls = ' normal-hover';
    }

    $search_query['s'] =  $_GET['s'];
    $search_query['paged'] = $my_page;
    $search_query['post_type'] = array('gallery');
    $search_query['posts_per_page'] = (int)$gallery_limit;
    $search_query['gallery_category'] = esc_attr($ceremony_gallery_show_category);
    $search_query['orderby'] = $ceremony_gallery_orderby;
    $search_query['order'] = $ceremony_gallery_order;
    $search_query['post_status'] = array('publish','inherit');
    $ceremony_gallery = new WP_Query( $search_query );

    if ($ceremony_gallery->have_posts()) : ?>
    <div class="crmny-mid-wrap mid-spacer-six">
      <div class="<?php echo esc_attr($fullwidth_cls); ?>">
        <div class="crmny-gallery <?php echo esc_attr($style_class); ?>">
          <?php $obj = get_post_type_object( 'gallery' ); ?>
          <h2 class="crmny-search-post-title"><?php echo esc_html($obj->labels->name); ?></h2>
          <?php if ($ceremony_gallery_filter) { ?>
          <div class="masonry-filters">
            <ul class="nav navbar-nav filter-buttons">
              <li><a href="javascript:void(0);" data-style="<?php echo esc_attr($ceremony_gallery_style);?>" data-limit="<?php echo esc_attr($gallery_limit); ?>" data-filter="*" class="active"><?php echo esc_html($all_text_actual); ?></a></li>
              <?php
                if ($ceremony_gallery_show_category) {
                  $cat_name = explode(',', $ceremony_gallery_show_category);
                  $terms = $cat_name;
                  $count = count($terms);
                  if ($count > 0) {
                    foreach ($terms as $term) {
                      echo '<li class="cat-'. preg_replace('/\s+/', "", strtolower($term)) .'"><a href="javascript:void(0);" class="filter cat-'. preg_replace('/\s+/', "", strtolower($term)) .'" data-filter=".'. preg_replace('/\s+/', "", strtolower($term)) .'-item" title="' . str_replace('-', " ", strtolower($term)) . '">' . str_replace('-', " ", strtolower($term)) . '</a></li>';
                     }
                  }
                } else {
                  if ( function_exists( 'ceremony_gallery_category_list' ) ) {
                    echo ceremony_gallery_category_list();
                  }
                }
              ?>
            </ul>
          </div>
          <?php }
          if ($ceremony_gallery_style === 'three'||$ceremony_gallery_style === 'two') {
            $gallery_items = '';
          } else {
            $gallery_items = ' data-items='.$ceremony_gallery_column.'';
          }
          ?>
          <!-- Start -->
          <div class="crmny-masonry hghghg <?php echo esc_attr($direction_hover_cls); ?>" data-space="<?php echo esc_attr($gallery_space); ?>" <?php echo esc_attr($gallery_items); ?>>
            <div class="gallery-posts-wrapper crmny-galry-data">
              <?php
              if ($ceremony_gallery->have_posts()) : while ($ceremony_gallery->have_posts()) : $ceremony_gallery->the_post();
                get_template_part( 'layouts/post/content', 'gallery' );
                endwhile;
              else :
                get_template_part( 'layouts/post/content', 'none' );
              endif; ?>
            </div>
          </div>
          <!-- End -->
          <?php if($ceremony_gallery->max_num_pages > 1) { ?>
          <div class="pagination-spacer-two">
            <?php if ($ceremony_gallery_pagination) {
              echo ceremony_paging_nav($ceremony_gallery->max_num_pages,"",$paged);
            } ?>
          </div>
          <?php } wp_reset_postdata(); ?>
        </div>
      </div>
    </div>

    <?php endif;

    $friends_limit = cs_get_option('friends_limit');
    $friends_orderby = cs_get_option('friends_orderby');
    $friends_order = cs_get_option('friends_order');
    $disable_resize = cs_get_option('friends_disable_resize');
    $friends_direction_hover = cs_get_option('friends_direction_hover');
    $friends_show_category = cs_get_option('friends_show_category');
    $friends_limit = $friends_limit ? $friends_limit : '8';

    $friends_limit = $friends_limit ? $friends_limit : '8';
    // Query Starts Here
    // Pagination
    global $paged;
    if( get_query_var( 'paged' ) )
      $my_page = get_query_var( 'paged' );
    else {
      if( get_query_var( 'page' ) )
        $my_page = get_query_var( 'page' );
      else
        $my_page = 1;
      set_query_var( 'paged', $my_page );
      $paged = $my_page;
    }

    $search_query['s'] =  $_GET['s'];
    $search_query['paged'] = $my_page;
    $search_query['post_type'] = array('friends');
    $search_query['posts_per_page'] = (int)$friends_limit;
    $search_query['orderby'] = $friends_orderby;
    $search_query['order'] = $friends_order;
    $search_query['post_status'] = array('publish','inherit');
    $ceremony_friends_qury = new WP_Query( $search_query );

    if($friends_direction_hover) {
      $friends_direction_hover_cls = ' direction-hover';
    } else {
      $friends_direction_hover_cls = '';
    }

    if ($ceremony_friends_qury->have_posts()) :
    ?>

    <div class="crmny-friends">
      <div class="container">
        <div class="friends-wrap">
          <div class="row <?php echo esc_attr($friends_direction_hover_cls); ?>">
          <?php
            while ($ceremony_friends_qury->have_posts()) : $ceremony_friends_qury->the_post();
            // Featured Image
            $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
            $large_image = $large_image[0];
            $abt_title = get_the_title();

            if ($disable_resize) {
              $friends_featured_img = $large_image;
            } else {
              if(class_exists('Aq_Resize')) {
                $friends_img = aq_resize( $large_image, '270', '330', true );
              } else {$friends_img = $large_image;}
              $friends_featured_img = ( $friends_img ) ? $friends_img : CEREMONY_IMAGES . '/235x235.png';
            }
            // Link
            $friends_options = get_post_meta( get_the_ID(), 'friends_options', true );
            $friends_socials = $friends_options['social_icons'];

            ?>
            <div class="col-lg-4 col-xl-3 col-md-6">
              <div class="friend-item crmny-item">
                <div class="crmny-image">
                  <?php if ($large_image) { ?>
                    <img src="<?php echo esc_url($friends_featured_img); ?>" alt="<?php echo esc_attr($abt_title); ?>">
                  <?php } ?>
                  <div class="crmny-social rounded">
                    <div class="crmny-table-wrap">
                      <div class="crmny-align-wrap">
                        <?php if ( ! empty( $friends_socials ) ) {
                          foreach ( $friends_socials as $social ) {
                          if($social['icon_link']) { ?>
                            <a href="<?php echo esc_url($social['icon_link']); ?>" target="_blank"><i class="<?php echo esc_attr($social['icon']); ?>" aria-hidden="true"></i></a>
                          <?php } else { ?>
                          <span><i class="<?php echo esc_attr($social['icon']); ?>" aria-hidden="true"></i></span>
                        <?php } } } ?>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="friend-info"><h4 class="friend-name"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html($abt_title); ?></a></h4></div>
              </div>
            </div>
            <?php endwhile; ?>
          </div>
        </div>
      </div>
    </div><!-- Friend End -->

    <?php
      endif;
} else {
    // Theme Options
    $ceremony_sidebar_position = cs_get_option('blog_sidebar_position');
    $ceremony_blog_style = cs_get_option('blog_listing_style');
    $ceremony_pagi_style = cs_get_option('blog_pagination_style');
    $ceremony_load_more = cs_get_option('blog_load_more_btn_txt');
    $ceremony_blog_widget = cs_get_option('blog_widget');
    $load_more_btn_txt = $ceremony_load_more ? $ceremony_load_more : esc_html__( 'Load More', 'ceremony' );

    if ($ceremony_blog_widget) {
      $widget_select = $ceremony_blog_widget;
    } else {
      if (is_active_sidebar('sidebar-1')) {
        $widget_select = 'sidebar-1';
      } else {
        $widget_select = '';
      }
    }

    // Sidebar Position
    if ($widget_select && is_active_sidebar( $widget_select )) {
      if ($ceremony_sidebar_position === 'sidebar-hide') {
        $layout_class = 'col-md-12';
        $ceremony_sidebar_class = 'hide-sidebar';
      } elseif ($ceremony_sidebar_position === 'sidebar-left') {
        $layout_class = 'crmny-primary';
        $ceremony_sidebar_class = 'left-sidebar';
      } else {
        $layout_class = 'crmny-primary';
        $ceremony_sidebar_class = 'right-sidebar';
      }
    } else {
      $ceremony_sidebar_position = 'sidebar-hide';
      $layout_class = 'col-md-12';
      $ceremony_sidebar_class = 'hide-sidebar';
    }
    if ($ceremony_blog_style === 'style-two' ) {
      $style_cls = ' blog-style-two';
    } else {
      $style_cls = ' blog-style-one default';
    }
    ?>
    <div class="crmny-mid-wrap mid-spacer-two <?php echo esc_attr($ceremony_sidebar_class); ?>">
      <div class="container">
        <div class="row">
        <?php
          if ($ceremony_sidebar_position === 'sidebar-left' && $ceremony_sidebar_position !== 'sidebar-hide') { get_sidebar(); } ?>
          <div class="primary-spacer-one <?php echo esc_attr($layout_class); ?>">
            <div class="blog-detail-wrap <?php echo esc_attr($style_cls); ?>">
            <?php if ($ceremony_blog_style === 'style-two' ) { ?>
              <div class="row">
            <?php }
                if ( have_posts() ) :
                  /* Start the Loop */
                  while ( have_posts() ) : the_post();
                    get_template_part( 'layouts/post/content' );
                  endwhile;
                else :
                  get_template_part( 'layouts/post/content', 'none' );
                endif;
                if ($ceremony_blog_style === 'style-two' ) { ?>
                  </div>
                <?php } ?>
              </div>
              <?php
                ceremony_default_paging_nav();
                wp_reset_postdata();  // avoid errors further down the page
              ?>
            </div>
            <?php if ($ceremony_sidebar_position !== 'sidebar-hide') {  get_sidebar(); } ?>
          </div>
        </div>
      </div>
    </div>
<?php }
get_footer();
