<?php
/*
 * The template for displaying all single friends.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );
if ($ceremony_meta) {
	$ceremony_content_padding = $ceremony_meta['content_spacings'];
} else { $ceremony_content_padding = ''; }
// Padding - Theme Options
if ($ceremony_content_padding && $ceremony_content_padding !== 'padding-none') {
	$ceremony_content_top_spacings = $ceremony_meta['content_top_spacings'];
	$ceremony_content_bottom_spacings = $ceremony_meta['content_bottom_spacings'];
	if ($ceremony_content_padding === 'padding-custom') {
		$ceremony_content_top_spacings = $ceremony_content_top_spacings ? 'padding-top:'. ceremony_check_px($ceremony_content_top_spacings) .';' : '';
		$ceremony_content_bottom_spacings = $ceremony_content_bottom_spacings ? 'padding-bottom:'. ceremony_check_px($ceremony_content_bottom_spacings) .';' : '';
		$ceremony_custom_padding = $ceremony_content_top_spacings . $ceremony_content_bottom_spacings;
	} else {
		$ceremony_custom_padding = '';
	}
} else {
	if ($ceremony_top_spacing || $ceremony_bottom_spacing) {
		$ceremony_top_spacing = $ceremony_top_spacing ? 'padding-top:'. ceremony_check_px($ceremony_top_spacing) .';' : '';
		$ceremony_bottom_spacing = $ceremony_bottom_spacing ? 'padding-bottom:'. ceremony_check_px($ceremony_bottom_spacing) .';' : '';
		$ceremony_custom_padding = $ceremony_top_spacing . $ceremony_bottom_spacing;
	} else {
		$ceremony_custom_padding = '';
	}
}
$ceremony_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$ceremony_large_image = $ceremony_large_image[0];

$friends_options = get_post_meta( get_the_ID(), 'friends_options', true );
$friends_socials = $friends_options['social_icons'];
$abt_title = get_the_title();

// Sidebar Position
// Theme Options
$ceremony_sidebar_position = cs_get_option('friends_single_sidebar_position');
$ceremony_single_friends_widget = cs_get_option('friends_single_widget');
if ($ceremony_single_friends_widget) {
	$widget_select = $ceremony_single_friends_widget;
} else {
	if (is_active_sidebar('sidebar-1')) {
		$widget_select = 'sidebar-1';
	} else {
		$widget_select = '';
	}
}
// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
	if ($ceremony_sidebar_position === 'sidebar-hide') {
		$layout_class = 'col-md-12';
		$ceremony_sidebar_class = ' hide-sidebar';
	} elseif ($ceremony_sidebar_position === 'sidebar-left') {
		$layout_class = 'crmny-primary';
		$ceremony_sidebar_class = ' left-sidebar';
	} else {
		$layout_class = 'crmny-primary';
		$ceremony_sidebar_class = ' right-sidebar';
	}
} else {
	$ceremony_sidebar_position = 'sidebar-hide';
	$layout_class = 'col-md-12';
	$ceremony_sidebar_class = ' hide-sidebar';
}
?>
<div class="crmny-mid-wrap mid-spacer-two ">
	<div class="container crmny-content-area <?php echo esc_attr($ceremony_content_padding . $ceremony_sidebar_class); ?>" style="<?php echo esc_attr($ceremony_custom_padding); ?>">
		<div class="row">
			<?php
	    if ($ceremony_sidebar_position === 'sidebar-left' && $ceremony_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			}	?>
			<div class="sngl-friends-cnt <?php echo esc_attr($layout_class); ?>">
				<div class="crmny-friends-wrap">
					<div class="friends-image-area">
					<div class="row">
						<div class="col-md-12">
						 <div class="blog-image">
				    		<img src="<?php echo esc_url($ceremony_large_image); ?>" alt="<?php the_title_attribute(); ?>">
				  		</div>
						</div>
						<div class="col-md-12">
							<div class="friends-single-content-area">
							  <div class="friend-info"><h4 class="friend-name"><?php echo esc_html($abt_title); ?></h4></div>
							  <div class="crmny-social rounded">
		              <?php if ( ! empty( $friends_socials ) ) {
		              foreach ( $friends_socials as $social ) {
		              if($social['icon_link']) { ?>
		              	<a href="<?php echo esc_url($social['icon_link']); ?>" target="_blank"><i class="<?php echo esc_attr($social['icon']); ?>" aria-hidden="true"></i></a>
		              <?php } else { ?>
		              	<span><i class="<?php echo esc_attr($social['icon']); ?>" aria-hidden="true"></i></span>
		              <?php } } } ?>
		            </div>
	           		<p><?php the_excerpt(); ?></p>
	           	</div>
	          </div>
					</div>
				</div>
          <div class="friends-main-content">
						<?php
							if (have_posts()) : while (have_posts()) : the_post();
								the_content();
							endwhile;
							endif;
						?>
						<!-- Blog Div -->
						<?php
				    	wp_reset_postdata();  // avoid errors further down the page
						?>
					</div>
			</div><!-- Content Area -->
		</div>
			<?php
				if ($ceremony_sidebar_position !== 'sidebar-hide') {
					get_sidebar(); // Sidebar
				}
			?>
		</div>
	</div>
</div>
<?php
get_footer();
