<?php
/*
 * The template for displaying all single gallerys.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );
$gallery_meta  = get_post_meta( $ceremony_id, 'gallery_single_metabox', true );
if ($gallery_meta) {
  $single_gallery_image = $gallery_meta['port_gallery_images'];
  $gallery_layout = $gallery_meta['gallery_single_layout'];
  $event_date = $gallery_meta['event_date'];
  $gallery_organizer_img = $gallery_meta['gallery_organizer_img'];
  $organizer_name = $gallery_meta['organizer_name'];
  $organizer_name_link = $gallery_meta['organizer_name_link'];
  $organizer_text = $gallery_meta['organizer_text'];
  $ceremony_content_padding = $ceremony_meta['content_spacings'];
} else {
  $ceremony_content_padding = '';
  $single_gallery_image = array();
  $event_date = '';
  $gallery_layout = '';
  $gallery_organizer_img = '';
  $organizer_name = '';
  $organizer_name_link = '';
  $organizer_text = '';
}
  $gallery_organizer_img_url = wp_get_attachment_url( $gallery_organizer_img, 'fullsize' );
  if(class_exists('Aq_Resize')) {
    $gallery_organizer_img = aq_resize( $gallery_organizer_img_url, '68', '68', true );
  } else {$gallery_organizer_img = $gallery_organizer_img_url;}
  $gallery_organizer_img = $gallery_organizer_img ? '<div class="crmny-image"><img src="'.esc_url($gallery_organizer_img).'" alt="'.esc_attr($organizer_name).'"></div>' : '';
  $org_name = $organizer_name_link ? '<h4 class="gallery-author-name"><a href="'.esc_url($organizer_name_link).'">'.esc_html($organizer_name).'</a></h4>' : '<h4 class="gallery-author-name"><span>'.esc_html($organizer_name).'</span></h4>';
  $org_name_actual = $organizer_name ? $org_name : '';
  $org_txt = $organizer_text ? '<p>'.$organizer_text.'</p>' : '';

// Padding - Metabox
if ($ceremony_content_padding && $ceremony_content_padding !== 'padding-none') {
	$ceremony_content_top_spacings = $ceremony_meta['content_top_spacings'];
	$ceremony_content_bottom_spacings = $ceremony_meta['content_bottom_spacings'];
	if ($ceremony_content_padding === 'padding-custom') {
		$ceremony_content_top_spacings = $ceremony_content_top_spacings ? 'padding-top:'. ceremony_check_px($ceremony_content_top_spacings) .';' : '';
		$ceremony_content_bottom_spacings = $ceremony_content_bottom_spacings ? 'padding-bottom:'. ceremony_check_px($ceremony_content_bottom_spacings) .';' : '';
		$ceremony_custom_padding = $ceremony_content_top_spacings . $ceremony_content_bottom_spacings;
	} else {
		$ceremony_custom_padding = '';
	}
} else {
	$ceremony_custom_padding = '';
}
// Translation
$ceremony_single_pagination = cs_get_option('gallery_single_pagination');

?>
<div class="crmny-mid-wrap mid-spacer-four <?php echo esc_attr($ceremony_content_padding); ?>" style="<?php echo esc_attr($ceremony_custom_padding); ?>">
  <div class="container">
    <?php if ($gallery_layout === 'custom') {
      if (have_posts()) : while (have_posts()) : the_post();
      echo '<h3 class="gallery-detail-title">'.get_the_title().'</h3>';
        the_content();
      endwhile;
      endif;
    } elseif ($gallery_layout === 'style-two') { ?>
    <div class="gallery-slider">
      <div class="owl-carousel" data-items="1" data-margin="0" data-loop="true" data-nav="true" data-dots="false" data-autoplay="true" data-auto-height="true">
        <?php
        $ids = explode( ',', $single_gallery_image );
        foreach ($ids as $id) {
          $attachment = wp_get_attachment_image_src( $id, 'fullsize' );
          $alt = get_post_meta($id, '_wp_attachment_image_alt', true);
          $g_img = $attachment[0];
          $post_img = $g_img;
          if (!empty( $post_img )) {
            $image = $post_img;
          } else {
            $image = CEREMONY_IMAGES.'/port-placeholder.png';
          }
          ?>
          <div class="item">
            <div class="crmny-image">
              <img src="<?php echo esc_url($image); ?>" alt="<?php echo esc_attr($alt); ?>">
            </div>
          </div>
        <?php } ?>
      </div>
    </div>
    <div class="gallery-details-wrap details-wrap-style-two">
      <div class="row">
        <div class="col-lg-9">
          <?php
            if (have_posts()) : while (have_posts()) : the_post();
            echo '<h3 class="gallery-detail-title">'.get_the_title().'</h3>';
              the_content();
            endwhile;
            endif;
          ?>
        </div>
        <div class="col-lg-3">
          <?php ceremony_gallery_information_meta('gallery_single_metabox', 'gallery_informations'); ?>
          <div class="gallery-meta">
            <?php if ( function_exists( 'ceremony_wp_share_option' ) ) {
							echo ceremony_wp_share_option();
						} ?>
          </div>
        </div>
      </div>
    </div>
      <?php
  	    if ($ceremony_single_pagination) {
  	    	if ( function_exists( 'ceremony_single_gallery_navigation' ) ) {
  	      	echo ceremony_single_gallery_navigation();
  				}
  			}
    } else { ?>
    <div class="gallery-details">
      <div class="row">
        <div class="col-lg-7">
          <div class="gallery-image">
          <?php
					$ids = explode( ',', $single_gallery_image );
	        foreach ($ids as $id) {
	          $attachment = wp_get_attachment_image_src( $id, 'fullsize' );
					  $alt = get_post_meta($id, '_wp_attachment_image_alt', true);
					  $g_img = $attachment[0];
				    $post_img = $g_img;
	          if (!empty( $post_img )) {
	            $image = $post_img;
	          } else {
	            $image = CEREMONY_IMAGES.'/port-placeholder.png';
	          }
	          ?>
              <div class="crmny-image">
              <div class="crmny-popup">
                <a href="<?php echo esc_url($image); ?>">
                <img src="<?php echo esc_url($image); ?>" alt="<?php echo esc_attr($alt); ?>">
                </a>
                </div>
              </div>
					<?php } ?>
          </div>
        </div>
        <div class="col-lg-5">
          <div class="gallery-details-wrap">
          <?php
						if (have_posts()) : while (have_posts()) : the_post();
						echo '<h3 class="gallery-detail-title">'.get_the_title().'</h3>';
							the_content();
              echo '<div class="gallery-author">
                '.$gallery_organizer_img.'
                <div class="gallery-author-info">
                  '.$org_name_actual.$org_txt.'
                </div>
              </div>';
						endwhile;
						endif;
					?>
            <div class="gallery-meta">
              <div class="row">
                <div class="col-sm-6">
                <?php if ( function_exists( 'ceremony_wp_share_option' ) ) {
									echo ceremony_wp_share_option();
								} ?>
                </div>
                <?php if($event_date){ ?>
                <div class="col-sm-6 textright">
                  <div class="meta-date"><i class="fa fa-calendar" aria-hidden="true"></i> <?php echo esc_html($event_date); ?></div>
                </div>
                <?php } ?>
              </div>
            </div>
          </div>
        </div>
      </div>
      <?php
      if ($ceremony_single_pagination) {
      	if ( function_exists( 'ceremony_single_gallery_navigation' ) ) {
	      	echo ceremony_single_gallery_navigation();
				}
			} ?>
    </div>
    <?php } ?>
  </div>
</div>

<?php
get_footer();
