<?php
/*
 * The template for displaying all single posts.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );

if ($ceremony_meta) {
	$ceremony_content_padding = $ceremony_meta['content_spacings'];
} else { $ceremony_content_padding = ''; }
// Padding - Metabox
if ($ceremony_content_padding && $ceremony_content_padding !== 'padding-none') {
	$ceremony_content_top_spacings = $ceremony_meta['content_top_spacings'];
	$ceremony_content_bottom_spacings = $ceremony_meta['content_bottom_spacings'];
	if ($ceremony_content_padding === 'padding-custom') {
		$ceremony_content_top_spacings = $ceremony_content_top_spacings ? 'padding-top:'. ceremony_check_px($ceremony_content_top_spacings) .';' : '';
		$ceremony_content_bottom_spacings = $ceremony_content_bottom_spacings ? 'padding-bottom:'. ceremony_check_px($ceremony_content_bottom_spacings) .';' : '';
		$ceremony_custom_padding = $ceremony_content_top_spacings . $ceremony_content_bottom_spacings;
	} else {
		$ceremony_custom_padding = '';
	}
} else {
	$ceremony_custom_padding = '';
}

// Theme Options
$ceremony_sidebar_position = cs_get_option('single_sidebar_position');
$ceremony_single_blog_widget = cs_get_option('single_blog_widget');
if ($ceremony_single_blog_widget) {
	$widget_select = $ceremony_single_blog_widget;
} else {
	if (is_active_sidebar('sidebar-1')) {
		$widget_select = 'sidebar-1';
	} else {
		$widget_select = '';
	}
}
// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
	if ($ceremony_sidebar_position === 'sidebar-hide') {
		$layout_class = 'col-md-12';
		$ceremony_sidebar_class = 'hide-sidebar';
	} elseif ($ceremony_sidebar_position === 'sidebar-left') {
		$layout_class = 'crmny-primary';
		$ceremony_sidebar_class = 'left-sidebar';
	} else {
		$layout_class = 'crmny-primary';
		$ceremony_sidebar_class = 'right-sidebar';
	}
} else {
	$ceremony_sidebar_position = 'sidebar-hide';
	$layout_class = 'col-md-12';
	$ceremony_sidebar_class = 'hide-sidebar';
}
?>
<div class="crmny-mid-wrap mid-spacer-two <?php echo esc_attr($ceremony_content_padding .' '. $ceremony_sidebar_class); ?>" style="<?php echo esc_attr($ceremony_custom_padding); ?>">
  <div class="container">
    <div class="row">
	    <?php
		    if ($ceremony_sidebar_position === 'sidebar-left' && $ceremony_sidebar_position !== 'sidebar-hide') {
					get_sidebar(); // Sidebar
				}	?>
	      <div class="primary-spacer-one <?php echo esc_attr($layout_class); ?>">
	        <div class="crmny-unit-fix">
	          <div class="crmny-blog-detail">
							<?php
							if ( have_posts() ) :
								/* Start the Loop */
								while ( have_posts() ) : the_post();
									get_template_part( 'layouts/post/content', 'single' );
									if ( comments_open() || get_comments_number() ) :
					          comments_template();
					        endif;
								endwhile;
							else :
								get_template_part( 'layouts/post/content', 'none' );
							endif; ?>
						</div><!-- blog-detail -->
						<?php
					    ceremony_paging_nav();
					    wp_reset_postdata();  // avoid errors further down the page
						?>
					</div><!-- unit-fix -->
				</div><!-- layout -->
				<?php
					if ($ceremony_sidebar_position !== 'sidebar-hide') {
						get_sidebar(); // Sidebar
					}
				?>
		</div><!-- row -->
	</div><!-- container -->
</div><!-- mid -->
<?php
get_footer();
