<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Metabox
$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );

if ($ceremony_meta) {
	$ceremony_content_padding = $ceremony_meta['content_spacings'];
} else { $ceremony_content_padding = ''; }
// Padding - Metabox
if ($ceremony_content_padding && $ceremony_content_padding !== 'padding-none') {
	$ceremony_content_top_spacings = $ceremony_meta['content_top_spacings'];
	$ceremony_content_bottom_spacings = $ceremony_meta['content_bottom_spacings'];
	if ($ceremony_content_padding === 'padding-custom') {
		$ceremony_content_top_spacings = $ceremony_content_top_spacings ? 'padding-top:'. ceremony_check_px($ceremony_content_top_spacings) .';' : '';
		$ceremony_content_bottom_spacings = $ceremony_content_bottom_spacings ? 'padding-bottom:'. ceremony_check_px($ceremony_content_bottom_spacings) .';' : '';
		$ceremony_custom_padding = $ceremony_content_top_spacings . $ceremony_content_bottom_spacings;
	} else {
		$ceremony_custom_padding = '';
	}
} else {
	$ceremony_custom_padding = '';
}

// Page Layout Options
$ceremony_woo_columns = cs_get_option('woo_product_columns');
$ceremony_woo_sidebar = cs_get_option('woo_sidebar_position');
$ceremony_woo_columns = $ceremony_woo_columns ? $ceremony_woo_columns : '3';

$ceremony_woo_widget = cs_get_option('woo_widget');
if ($ceremony_woo_widget) {
	$widget_select = $ceremony_woo_widget;
} else {
	if (is_active_sidebar( 'sidebar-shop' )) {
		$widget_select = 'sidebar-shop';
	} else {
		$widget_select = '';
	}
}

if ($widget_select && is_active_sidebar( $widget_select )) {
	if ($ceremony_woo_sidebar === 'left-sidebar') {
		$ceremony_column_class = 'crmny-primary';
		$ceremony_sidebar_class = 'crmny-left-sidebar';
	} elseif ($ceremony_woo_sidebar === 'sidebar-hide') {
		$ceremony_column_class = 'col-md-12';
		$ceremony_sidebar_class = 'crmny-hide-sidebar';
	} else {
		$ceremony_column_class = 'crmny-primary';
		$ceremony_sidebar_class = 'crmny-right-sidebar';
	}
} else {
	$ceremony_woo_sidebar = 'sidebar-hide';
	$ceremony_column_class = 'col-md-12';
	$ceremony_sidebar_class = 'crmny-hide-sidebar';
}

get_header(); ?>
<div class="crmny-mid-wrap mid-spacer-two <?php echo esc_attr($ceremony_content_padding); ?>" style="<?php echo esc_attr($ceremony_custom_padding); ?>">
  <div class="container">
    <div class="woocommerce woocommerce-page">
      <div class="row">
			<?php do_action('ceremony_woocommerce_before_shop_loop'); ?>
				<div class="container crmny-content-area woo-col-<?php echo esc_attr($ceremony_woo_columns .' '. $ceremony_sidebar_class); ?>">
					<div class="row">
						<?php
						// Left Sidebar
						if($ceremony_woo_sidebar === 'left-sidebar') {
				   		get_sidebar('shop');
						}
						?>
						<div class="crmny-content-side <?php echo esc_attr($ceremony_column_class); ?>">
							<?php
								if ( have_posts() ) :
									woocommerce_content();
								endif; // End of the loop.
							?>
						</div><!-- Content Area -->
						<?php
						// Right Sidebar
						if($ceremony_woo_sidebar !== 'left-sidebar' && $ceremony_woo_sidebar !== 'sidebar-hide') {
							get_sidebar('shop');
						}
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
get_footer();
