<?php
/**
 * VictorTheme Custom Changes
 */

/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
// Custom Changes : Get title & sub-title from theme options
$title = cs_get_option('woo_related_title');
$sub_title = cs_get_option('woo_related_sub_title');
$title = $title ? $title : esc_html__('Related products', 'ceremony');
if ( $related_products ) : ?>

	<section class="related products">
		<!-- Custom Changes: Custom div structure for title & sub-title -->
		<div class="section-title-wrap">
	    <?php
			$heading = apply_filters( 'woocommerce_product_related_products_heading', __($title) );

			if ( $heading ) :
				?>
				<h2 class="section-title"><?php echo esc_html( $heading ); ?></h2>
			<?php endif; ?>
	    <?php if($sub_title){
	    	echo esc_html($sub_title);
	    } ?>
	  </div>

		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $related_products as $related_product ) : ?>

				<?php
				 	$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					wc_get_template_part( 'content', 'product' ); ?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

	</section>

<?php endif;

wp_reset_postdata();
